// locales:
var PAGE_ADD_MODE_TITLE = 'ADD_PAGE_TITLE';
var PAGE_EDIT_MODE_TITLE = 'EDIT_PAGE_TITLE';
var WIZ_STEP_PAGES_PAGEEDITED = 'WIZ_STEP_PAGES_PAGEEDITED';
var WIZ_STEP_PAGES_PAGENEWPAGEADDED = 'WIZ_STEP_PAGES_PAGENEWPAGEADDED';
var WIZ_STEP_PAGES_INVALID_TITLE = 'WIZ_STEP_PAGES_INVALID_TITLE';
var NEW_PAGE_TITLE = 'NEW_PAGE_TITLE';

// consts
var PAGE_VIEW_MODE = 0;
var PAGE_ADD_MODE = 1;
var PAGE_EDIT_MODE = 2;
var limit1 = 6;
var limit2 = 10;
var inputNewPageBoxID = 'SB_Style_inputNewPage'
var selectBoxName = 'selectBoxName';
var selectBoxPredifinedName = 'selectBoxPredifinedName';
var inputPageTitle = 'page_title';
var selectPageType = 'page_type';
var inputNewPageCaption = 'SB_Style_inputNewPageCaption';

// imported from old XSL file
var Limex1msg = getObj('limex1msg').value;
var Limex2msg = getObj('limex2msg').value;
var Limex3msg = getObj('limex3msg').value;
var TotalPagesNumber = getObj('totalPagesNumber').value;
selectBoxName = getObj('selectBoxName').value;
inputPageTitle = getObj('inputPageTitle').value;
selectPageType = getObj('selectPageType').value;
selectBoxPredifinedName = 'pdslist';
NEW_PAGE_TITLE  = getObj('loc_newPageTitle').value;
PAGE_ADD_MODE_TITLE = getObj('loc_addModeTitle').value;
PAGE_EDIT_MODE_TITLE = getObj('loc_editModeTitle').value;
WIZ_STEP_PAGES_PAGEEDITED = getObj('loc_pagesPageEdit').value;
WIZ_STEP_PAGES_PAGENEWPAGEADDED = getObj('loc_pageNewPageAdded').value;
WIZ_STEP_PAGES_INVALID_TITLE = getObj('loc_pagesInvalidTitle').value;

// vars
var sp_mode = PAGE_VIEW_MODE;
var cPageID = 0;
var cPageID2 = 0;
var cFileName = -1;


function sb_moveto(msgMoveToDone, msgNotSelected) {
	if(sp_mode!=PAGE_VIEW_MODE) {
		return;
	}
	SA = AddPageToSite(SA, msgMoveToDone, msgNotSelected);
	CreateSiteStructList(SA);
	dc(0);
}


function sb_deletepage(msgOK, msgFailed, msgNotSelected, msgSureToDelete, msgDeleteHome) {
	if (sp_mode!=PAGE_VIEW_MODE) {
		return;
	}
	var ss = getObj('site_struct');
	SA = DeleteFromSiteStructure(SA, ss, msgOK, msgFailed, msgNotSelected, msgSureToDelete, msgDeleteHome);
	dc(0);
}


function sb_moveup(msgMoveUp, msgNotMoved, msgNotSelected, msgSelectOne) {
	if (sp_mode!=PAGE_VIEW_MODE) {
		return;
	}
	SA = MoveUp(SA, msgMoveUp, msgNotMoved, msgNotSelected, msgSelectOne);
	dc(0);
}


function sb_movedown(msgMoveDown, msgNotMoved, msgNotSelected, msgSelectOne) {
	if (sp_mode!=PAGE_VIEW_MODE) {
		return;
	}
	SA = MoveDown(SA, msgMoveDown, msgNotMoved, msgNotSelected, msgSelectOne);
	dc(0);
}


function sb_movelevelup(msgLevelUp, msgNotMoved, msgNotSelected, msgSelectOne) {
	if(sp_mode!=PAGE_VIEW_MODE) {
		return;
	}
	SA = LevelUp(SA, msgLevelUp, msgNotMoved, msgNotSelected, msgSelectOne);
	dc(0);
}


function sb_moveleveldown(msgLevelDown, msgNotMoved, msgNotSelected, msgSelectOne) {
	if(sp_mode!=PAGE_VIEW_MODE) {
		return;
	}
	SA = LevelDown(SA, msgLevelDown, msgNotMoved, msgNotSelected, msgSelectOne);
	dc(0);
}


function sb_addpage() {
	if (sp_mode != PAGE_VIEW_MODE) {
		return;
	}
	sp_setAddMode();

	var el = document.getElementById("SB_Style_AddPage_button");
	
	if (null!=el) {
		el.style.backgroundColor="#E2E2E2";
	}
	dc(0);
}


function sb_editpage(msgSelectOne) {
	if (sp_mode != PAGE_VIEW_MODE) {
		return;
	}
	ShowEditPage(SA, msgSelectOne);

	var el = document.getElementById("SB_Style_EditPage_button");
		
	if (null != el) {
		el.style.backgroundColor = "#E2E2E2";
	}
	dc(0);
}


function getObj(elemID) { 
	var obj; 
	if (document.all) {
		obj = document.all(elemID)
	} else if (document.layers) {
		obj = document.layers[elemID]
	} else if (document.getElementById) {
		obj = document.getElementById(elemID)
	}
	if (obj) {
		return obj;
	}
	return "null";
}

function GetPageProperties(pagename) {
	ret = getObj(pagename);
	if (ret != "null") {
		ret = ret.value.split(";");
	}
	return ret;
}
//struct_name, pageindex, 
function AddPageToSite(SAflvl, okmessage, faultmessage, limit1msg, limit2msg) {
	sp_setViewMode();
	var ppageslist = new Object();
	var success = false;
//	var ppageslist = getObj('pdpages[]');
	ppageslist = document.getElementsByName('pdpages[]');
	for (selid = 0; selid < ppageslist.length ; selid++ ) {
		// go throught the whole list and see - what checkbox is checked and not disabled
		if (ppageslist[selid].checked && !ppageslist[selid].disabled) {
			pagetoadd = ppageslist[selid].value.split(";");
			if (pagetoadd[0] == "-1") { //Move first level element 
				var parent = "-1";
				for (y=0; y < 20; y++) {
					if (SAflvl[y] && 
						SAflvl[y][0] &&  
						SAflvl[y][0] != "undefined" && 
						typeof SAflvl[y][0] != "undefined" && 
						SAflvl[y][0][0] && 
						SAflvl[y][0][0] == pagetoadd[1]) {
						parent = y;
					}
				}
				var indextoadd = 0;
				for (i = selid; i < ppageslist.length ; i++ ) {
					//Starting form current element and go down to the end of list
					pagetoadd = ppageslist[i].value.split(";");
					if (pagetoadd != "null") {
						if (parent == "-1") {//We don't have this page
							if (pagetoadd[0] < 0) { //If this is 1st level page then add it ot the end of list
								indextoadd = SAflvl.length
								SAflvl[indextoadd] = new Array();
								SAflvl[indextoadd][0] = new Array(pagetoadd[1], pagetoadd[2], pagetoadd[3]);
								//Disabe checkbox and title becomes gray
								ppageslist[i].disabled=true;
								success = true;
							} else {//If 2nd level then shift caption for ...
								if (ppageslist[i].checked) {
									SAflvl[indextoadd][SAflvl[indextoadd].length] = new Array(pagetoadd[1], pagetoadd[2], pagetoadd[3]);
									ppageslist[i].disabled=true;
									success = true;
								}
							}
						} else {//This page already exist. Add only his child to existing parent
							if (pagetoadd[0] != "-1") {//do nothig with 1 level page
								//and shifting second level for ...
								var len = SAflvl[parent].length;
								var flag = 0;
								for (j=0;j<len ;j++ ) {
									if (SAflvl[parent][j][0] == pagetoadd[1]) {
										flag = 1;
									}
								}
								if (flag != 1) {
									SAflvl[parent][SAflvl[parent].length] = new Array(pagetoadd[1], pagetoadd[2], pagetoadd[3]);
									ppageslist[i].disabled=true;
									success = true;
								}
							} else {
								ppageslist[i].disabled=true;
								success = true;
								//Shoot them
							}
						}
					}
					if (ppageslist[i+1]) {//Checking for the next element
						nextpage = ppageslist[i+1].value;
						if (nextpage) {
							nextpage = nextpage.split(";");
							if (nextpage[0] == "-1") {//If it is 1st level page then finish
								break;
							}
						}
					}
				}			
			} else {
			// Finishing move 1st level page
			//If this is 2nd level page then add to the end her parent first, and then this page as child
			//Check - do we have somewhere this child. If we do - then do nothing
				flag = 0;
				for (i=0;i<SAflvl.length ;i++) {
					if (SAflvl[i] &&  
						SAflvl[i] != "undefined" && 
						typeof SAflvl[i] != "undefined" && 
						typeof SAflvl[i][0] != "undefined" ) {

						if (SAflvl[i][0][0] == pagetoadd[1]) {
							flag = 1;
						} else {
							for (k=1;k<SAflvl[i].length ;k++ ) {
								if (SAflvl[i][k] && SAflvl[i][k][0]) { 
									if (SAflvl[i][k][0] == pagetoadd[1]) {
										flag = 1;
									}
								}
							}
						}
					}
				}
				if (flag != 1) {
				//OK, we dont have this child. We can add it
				//New find it's parent (go up on the list)
					var indextoadd = 0;
					for (i = selid-1; i >= 0 ; i--) {
						isparent = ppageslist[i].value;
						if (isparent) {//If previous element can be getted
							isparent = isparent.split(";");
							if (isparent[0] == "-1") { //OK, this is 1st level element
								//Check does it exist in site structure
								killparentid = i;
								parentid = 0;

								for (j=0;j<SAflvl.length ;j++) {
									try{
										if (SAflvl[j] && isparent[1] == SAflvl[j][0][0]) {
											parentid = j;
										}						
									} catch(e) {
									}
								}
								if (parentid != 0) {//If this parent element exist then we add only child
									SAflvl[parentid][SAflvl[parentid].length] = new Array(pagetoadd[1], pagetoadd[2], pagetoadd[3]);
									ppageslist[selid].disabled=true;
									success = true;
									islastchild = 0;
									for (g = selid-1; g >= 0 ; g--) {
										//Check - if this was last child then we need to hide parent
										islast = ppageslist[g].value.split(";");
										if (islast && islast != "" && islast[0] != "-1" && !ppageslist[g].disabled) {
											//we have at least one more child
											islastchild = 1;
											break;
										} else { //No child
										}
										if (islast != "null" && islast[0] == "-1") {
											break;
										}
									}//New go down on the list
									for (g = selid; g < ppageslist.length ; g++) { 
										//Check - if this was last child then we need to hide parent
										islast = ppageslist[g].value.split(";");
										if (islast && islast != "" && islast[0] != "-1" && !ppageslist[g].disabled) {
											//we have at least one more child
											islastchild = 1;
											break;
										} else {
										}
										if (islast != "null" && islast[0] == "-1") {
											break;
										}
									}
									if (islastchild != 1) {
										//shoot parent
										ppageslist[killparentid].disabled=true;
									}
								} else {// Add parent and child to the end
									SAflvl[SAflvl.length] = new Array();
									SAflvl[SAflvl.length-1][0] = new Array(isparent[1], isparent[2], isparent[3]);
									SAflvl[SAflvl.length-1][1] = new Array(pagetoadd[1], pagetoadd[2], pagetoadd[3]);
									ppageslist[selid].disabled=true;
									success = true;
									//If this parent have only only child - kill this child
									pagetoaddup = ppageslist[selid-1].value.split(";");
									if (ppageslist[selid+1]) {
										pagetoadddown = ppageslist[selid+1].value.split(";");
									} else {
										pagetoadddown = new Array("-1");
									} 
									if (pagetoaddup && pagetoaddup != "null" && 
										pagetoaddup != "" && pagetoaddup[0] == "-1"  && 
										pagetoadddown && pagetoadddown != "null" && 
										pagetoadddown != "" && pagetoadddown[0] == "-1") {
										//If we here it mean the next element and previous element - 1st level
										ppageslist[selid-1].disabled=true;
										success = true;
									}
								}
								break;
							}
						}
					}
				}
			}
			var changes = new getObj('sb_changes');
			changes.value='1';
		}
	}
	if (!success) {
		SetStatusMessage(faultmessage, 'MB_STOP');
	} else {
		if (CheckStructLen(SAflvl, 'yes')) {
			SetStatusMessage(okmessage, 'MB_OK');
		}
	}
	return SAflvl;	
}

function BuildStructure() {
	//Read structure of hiddens ssXXX and create array of structure
	var SAflvl = new Array();
	for (i=0; i <= 620 ; i++) {
		page = GetPageProperties("ss"+i);
		if (page != "null" && page != "") {
			if (page[0] == "-1") {
				SAflvl[page[4]] = new Array();
				SAflvl[page[4]][0] = new Array(page[1],page[2], page[3]);
			} else {
				//[parent][order]
				SAflvl[page[0]][page[4]] = new Array(page[1],page[2], page[3]);
			}
		}
	}
	SAflvl = CreateSiteStructList(SAflvl, 0);
	return SAflvl;
}

function CreateSiteStructList(SAflvl, selindex) {
	var SAnew = new Array();
	structlen = SAflvl.length;
	j = 0;
	for (i = 0; i < structlen ;i++ ) {
		//Prosto peredvigaem elementi is SA v SA2
		SAnew[j] = new Array();
		if (SAflvl[i] && (SAflvl[i][0] != "" &&  SAflvl[i][0] != "undefined" && typeof SAflvl[i][0] != "undefined")) {
			SAnew[j] = SAflvl[i];
			j++;
		}
	}
	SAflvl = SAnew;

	var site_struct = getObj('site_struct');
	var indextoselected = 0;
	site_struct.length = 0;
	for (i=0; i<20 ; i++ ) {
		if (SAflvl[i] && SAflvl[i] != "" && SAflvl[i][0] != "" && SAflvl[i][0][0] && SAflvl[i][0][1]) {
			if(/\.html/i.test(SAflvl[i][0][1])){
				var tempIndex = SAflvl[i][0][0]; 
				var tempName = SAflvl[i][0][1];
				SAflvl[i][0][0] = tempName;
				SAflvl[i][0][1] = tempIndex;
			}
			site_struct[site_struct.length] = new Option (SAflvl[i][0][1], SAflvl[i][0][0]);
			if (selindex==SAflvl[i][0][0]) {
				indextoselected=site_struct.length-1;
			}
			j = 1;
			while (j < SAflvl[i].length) {
				if (SAflvl[i][j]) {
					if(/\.html/i.test(SAflvl[i][0][1])){
							var tempIndex = SAflvl[i][j][0]; 
							var tempName = SAflvl[i][j][1];
							SAflvl[i][j][0] = tempName;
							SAflvl[i][j][1] = tempIndex;
					}
					site_struct[site_struct.length] = new Option ("..."+SAflvl[i][j][1], SAflvl[i][j][0]);
					if (selindex==SAflvl[i][j][0]) {
						indextoselected=site_struct.length-1;
					}
				}
				j++;
			}
		}
	}
	if (selindex) {
		site_struct.selectedIndex = indextoselected;
	} else if(site_struct.length > 0 ) {
		site_struct.selectedIndex = site_struct.length-1;
	}	
	return SAflvl;
}

function ProcessKey(SAflvl, ss, evt) {
	//Check what button was pressed
	var charCode = (evt.which) ? evt.which : event.keyCode;
	if (charCode == 46) {//Delete button
		SAflvl = DeleteFromSiteStructure(SAflvl, ss);
	}
	return SAflvl;
}

function DeleteFromSiteStructure(SAflvl, ss, okmessage, faultmessage, nsmessage, delmsg, homedelmsg) {
	sp_setViewMode();
	var success = false;
	if (ss.selectedIndex >=0) {
		if (confirm(delmsg)) {
			for (kkk = 0; kkk < ss.length; kkk++) {
				if (ss[kkk].selected==true) {
					itemtodelete = ss[kkk];
					if (itemtodelete && itemtodelete.value != "index.html") {
						for (i=0; i<20 ; i++ ) {
							//Go through whole list
							if (SAflvl[i] &&(SAflvl[i][0] != "" &&  
								SAflvl[i][0] != "undefined" && 
								typeof SAflvl[i][0] != "undefined")) {
									
								if (SAflvl[i][0][0] == itemtodelete.value) {//1st level
									//Make visible this element in list of predefined pages and all it's childs
									MakeVisible(itemtodelete.value);//making visible elemtn himself
									for (jj = 1; jj < SAflvl[i].length; jj++) {
										if (SAflvl[i][jj] && SAflvl[i][jj][0]) {
											MakeVisible(SAflvl[i][jj][0]);
										}
									}
									delete SAflvl[i];// Delete it from structure
									success = true;
									break;
								}
								j = 1;
								while (j < SAflvl[i].length) {
									if (SAflvl[i][j]) {
										if (SAflvl[i][j][0] == itemtodelete.value) {// 2nd level
											//making visible this child and his parent
											delete SAflvl[i][j];
											MakeVisible(itemtodelete.value);
											//MakeVisible(SAflvl[i][0][0]);
											success = true
											break;
										}
									}
									j++;
								}
							}
						}
						var changes = new getObj('sb_changes');
						changes.value='1';
					} else {
						SetStatusMessage(homedelmsg, 'MB_STOP');
						SAflvl = CreateSiteStructList(SAflvl);
						return SAflvl;
					}
				}
			}
			SAflvl = CreateSiteStructList(SAflvl);
		}
		if (!success) {
			SetStatusMessage(faultmessage, 'MB_STOP');
		} else {
			SetStatusMessage(okmessage, 'MB_OK');
		}
	} else {
		SetStatusMessage(nsmessage, 'MB_STOP');
	}
	return SAflvl;
}

function MakeVisible(pagevalue) {
	var ppageslist = new Object();
//	var ppageslist = getObj('pdpages[]');
	ppageslist = document.getElementsByName('pdpages[]');
	for (selid = 0; selid < ppageslist.length ; selid++ ) {
		page = ppageslist[selid].value.split(";");
		if (page[1] == pagevalue) {
			ppageslist[selid].disabled=false;
			ppageslist[selid].checked=false;
		}
	}
}

function CheckStructLen(SAflvl, showalert) {
	var curlev1 = 0;
	var curlev2 = 0;
	var cur_total = 0;
	
	for (i=0, j=0; i<SAflvl.length ; i++ ) {
		if (SAflvl[i] &&(SAflvl[i][0] != "" &&  SAflvl[i][0] != "undefined" && typeof SAflvl[i][0] != "undefined")) {
			curlev1++;
			cur_total++;

			k = 1;
			curlev2 = 0;
			while (k < SAflvl[i].length) {
				if (SAflvl[i][k]) {
					curlev2++;
					cur_total++;
				}
				k++;
			}
			if (curlev2 > limit2) {
				SetStatusMessage(Limex2msg+' '+limit2+'.', 'MB_STOP', showalert);
				return false;
			}
		}
	}
	if (curlev1 > limit1) {
		SetStatusMessage(Limex1msg+' '+limit1+'.', 'MB_STOP', showalert);
		return false;
	}

	if (cur_total > TotalPagesNumber) {
		SetStatusMessage(Limex3msg+' '+TotalPagesNumber+'.', 'MB_STOP', showalert);
		return false;
	}

	return true;
}

function PrepareStructureToSave(SAflvl) {

	var curlev1 = 0;
	var curlev2 = 0;
	var cur_total = 0;

	for (i=0, j=0; i<SAflvl.length ; i++ ) {
		if (SAflvl[i] && (SAflvl[i][0] != "" &&  SAflvl[i][0] != "undefined" && typeof SAflvl[i][0] != "undefined")) {
			curlev1++;
			cur_total++;
			k = 1;
			curlev2 = 0;
			while (k < SAflvl[i].length) {
				if (SAflvl[i][k]) {
					curlev2++;
					cur_total++;
				}
				k++;
			}
			if (curlev2 > limit2) {
				SetStatusMessage(Limex2msg+' '+limit2+'.', 'MB_STOP', 'yes');
				return false;
			}
		}
	}
	if (curlev1 > limit1) {
		SetStatusMessage(Limex1msg+' '+limit1+'.', 'MB_STOP', 'yes');
		return false;
	}

	if (cur_total > TotalPagesNumber) {
		SetStatusMessage(Limex3msg+' '+TotalPagesNumber+'.', 'MB_STOP', 'yes');
		return false;
	}

	ssArrLevels = getObj("ssArrLevels");
	ssArrTitles = getObj("ssArrTitles");
	ssArrNames = getObj("ssArrNames");
	ssArrTypes = getObj("ssArrTypes");
	
	for (i=0, j=0; i<SAflvl.length ; i++ ) {
		if (SAflvl[i] && SAflvl[i][0] && SAflvl[i][0][0] &&  SAflvl[i][0] != "") {
			ssArrLevels.value += "-1;";
			ssArrTitles.value += SAflvl[i][0][1]+";";
			ssArrNames.value += SAflvl[i][0][0]+";";
			ssArrTypes.value += SAflvl[i][0][2]+";";
						
			j++;
			k = 1;
			while (k < SAflvl[i].length) {
				if (SAflvl[i][k]) {
					ssArrLevels.value += i+";";
					ssArrTitles.value += SAflvl[i][k][1]+";";
					ssArrNames.value += SAflvl[i][k][0]+";";
					ssArrTypes.value += SAflvl[i][k][2]+";";
					j++;
				}
				k++;
			}
		}
	}
	
	return true;
}

function validate() {
	return PrepareStructureToSave(SA);
}

function ShowEditPage(SAflvl, selonemsg) {
	sp_setViewMode();
	ss = getObj('site_struct');
	pageid = -1;
	pageid2 = -1;
	if (ss.selectedIndex >= 0) {
		var selnum = 0;
		for (kkk = 0; kkk < ss.length; kkk++) {
			if (ss[kkk].selected==true) {
				selnum++;
			}
		}
		if (selnum > 1) {
			SetStatusMessage(selonemsg, 'MB_STOP');
		} else {
			filename = ss[ss.selectedIndex].value;
			if (filename) {
				pagetitle = "";
				pagetype = 'html';
				for (i=0; i<SAflvl.length ; i++ ) {
					if (SAflvl[i] &&(SAflvl[i][0] != "" &&  
						SAflvl[i][0] != "undefined" && typeof SAflvl[i][0] != "undefined")) {
						if (SAflvl[i][0][0] == filename) {
							pagetype = SAflvl[i][0][2];
							pagetitle = SAflvl[i][0][1];
							pageid = i;
							pageid2=0;
							break;
						}
						j = 1
						while (j < SAflvl[i].length) {
							if (SAflvl[i][j]) {
								if (SAflvl[i][j][0] == filename) {
									pagetype = SAflvl[i][j][2];
									pagetitle = SAflvl[i][j][1];
									pageid = i;
									pageid2=j;
									break;
								}
							}
							j++;
						}
					}
				}
				if (pageid > -1 && pageid2 > -1) {
					cPageID = pageid;
					cPageID2 = pageid2;
					cFileName = filename;
					document.forms[0].elements[inputPageTitle].value = pagetitle;

					var spt = document.forms[0].elements[selectPageType];
					for (i=0; i < spt.length; i++) {
						if(spt.options[i].value==pagetype) {
							spt.options[i].selected = true;
						} else {
							spt.options[i].selected = false;
						}
					}
					sp_mode = PAGE_EDIT_MODE;
					showINP(1);
				}
			}
		}
	}
}

function SelectNode(selitem)
{
	sp_setViewMode();
	var selprop = selitem.value.split(";");
	ppageslist = document.getElementsByName('pdpages[]');
	selid = -1;
	for (i = 0; i < ppageslist.length ; i++ ) {
		if (selitem.value == ppageslist[i].value) {
			selid = i;
			break;
		}
	}
	if (selid > -1) {
		if (selprop[0] == "-1") { 
		//First level
		//Go down
			for (i = selid+1; i < ppageslist.length ; i++ ) {
				pagetoadd = ppageslist[i].value.split(";");
				if (pagetoadd[0] == "-1") {//We don't have this page
					break;
				} else {
					if (selitem.checked) {
						ppageslist[i].checked = true;
					} else {
						ppageslist[i].checked = false;
					}
				}
			}
		} else {//Second Level
			//Go up
			for (i = selid-1; i >= 0 ; i-- ) {
				pagetoadd = ppageslist[i].value.split(";");
				if (pagetoadd[0] == "-1") {//We don't have this page
					ppageslist[i].checked = true;
					break;
				}
			}
		}
	}

}

function MoveUp(SAflvl, okmessage, faultmessage, nsmessage, selonemsg) {
	sp_setViewMode();
	ss = getObj('site_struct');
	var success='ns';
	if (ss.selectedIndex >= 0) {
		var selnum = 0;
		for (kkk = 0; kkk < ss.length; kkk++) {
			if (ss[kkk].selected==true) {
				selnum++;
			}
		}
		if (selnum > 1) {
			SetStatusMessage(selonemsg, 'MB_STOP');
		} else {
			success=false;
			var PID = new Object();
			tmp = new Array();
			PID.pageid = -1;
			PID.pageid2 = -1;
			GetSelectedPageLocation(PID,SAflvl)
			if (PID.pageid > 0 || PID.pageid2 > 1) {
				//We can't move up first element (>0)
				if (PID.pageid2 == 0) {
					//Move up first level element
					tmp = SAflvl[PID.pageid-1];
					SAflvl[PID.pageid-1]=SAflvl[PID.pageid];
					SAflvl[PID.pageid] = tmp;
					success=true;
					var changes = new getObj('sb_changes');
					changes.value='1';
					SAflvl = CreateSiteStructList(SAflvl, ss.value);
				} else if (PID.pageid2 > 1) {
					//Move up Second level element, and we cant move top element ( > 1)
					tmp = SAflvl[PID.pageid][PID.pageid2-1];
					SAflvl[PID.pageid][PID.pageid2-1]=SAflvl[PID.pageid][PID.pageid2];
					SAflvl[PID.pageid][PID.pageid2] = tmp;
					SAflvl = CreateSiteStructList(SAflvl, ss.value);
					var changes = new getObj('sb_changes');
					changes.value='1';
					success=true;
				}
			}
			if (success == true) {
				SetStatusMessage(okmessage, 'MB_OK');
			} else {
				SetStatusMessage(faultmessage, 'MB_STOP');
			}
		}
	} else {
		SetStatusMessage(nsmessage, 'MB_STOP');
	}
	return SAflvl;
}


function MoveDown(SAflvl, okmessage, faultmessage, nsmessage, selonemsg) {
	sp_setViewMode();
	ss = getObj('site_struct');
	var success='ns';
	if (ss.selectedIndex >= 0) {
		var selnum = 0;
		for (kkk = 0; kkk < ss.length; kkk++) {
			if (ss[kkk].selected==true) {
				selnum++;
			}
		}
		if (selnum > 1) {
			SetStatusMessage(selonemsg, 'MB_STOP');
		} else {
			success=false;
			var PID = new Object();
			tmp = new Array();
			PID.pageid = -1;
			PID.pageid2 = -1;
			GetSelectedPageLocation(PID,SAflvl)
			if ((PID.pageid < SAflvl.length-1 && PID.pageid2 == 0) || 
				(PID.pageid2 != 0 && PID.pageid2 < SAflvl[PID.pageid].length-1)) {
					//We can't move up first element (>0)
				if (PID.pageid2 == 0) {//Move up first level element
					tmp = SAflvl[PID.pageid+1];
					SAflvl[PID.pageid+1]=SAflvl[PID.pageid];
					SAflvl[PID.pageid] = tmp;
					SAflvl = CreateSiteStructList(SAflvl, ss.value);
					var changes = new getObj('sb_changes');
					changes.value='1';
					success=true;
				} else if (PID.pageid2 >= 1) {
					//Move up Second level element, and we cant move top element ( > 1)
					tmp = SAflvl[PID.pageid][PID.pageid2+1];
					SAflvl[PID.pageid][PID.pageid2+1]=SAflvl[PID.pageid][PID.pageid2];
					SAflvl[PID.pageid][PID.pageid2] = tmp;
					SAflvl = CreateSiteStructList(SAflvl, ss.value);
					var changes = new getObj('sb_changes');
					changes.value='1';
					success=true;
				}
			}
			if (success == true) {
				SetStatusMessage(okmessage, 'MB_OK');
			} else {
				SetStatusMessage(faultmessage, 'MB_STOP');
			}
		}
	} else {
		SetStatusMessage(nsmessage, 'MB_STOP');
	}
	return SAflvl;
}

function LevelUp(SAflvl, okmessage, faultmessage, nsmessage, selonemsg) {
	sp_setViewMode();
	ss = getObj('site_struct');
	var success='ns';
	if (ss.selectedIndex >= 0) {
		var selnum = 0;
		for (kkk = 0; kkk < ss.length; kkk++) {
			if (ss[kkk].selected==true) {
				selnum++;
			}
		}
		if (selnum > 1) {
			SetStatusMessage(selonemsg, 'MB_STOP');
		} else {
			success=false;
			var PID = new Object();
			PID.pageid = -1;
			PID.pageid2 = -1;
			GetSelectedPageLocation(PID,SAflvl)
			if (PID.pageid2 == 0) {
				//do nothing. We can't move 1st level element
				SetStatusMessage(faultmessage, 'MB_STOP');
			} else {
				SA2 = new Array();
				structlen = SAflvl.length
				SAflvl[structlen] = new Array();
				//Sdvigaem dve chto nizhe parenta vibrannogo elementa.
				for (i = 0; i < PID.pageid ;i++ ) {
					//Prosto peredvigaem elementi is SA v SA2
					SA2[i] = new Array();
					SA2[i] = SAflvl[i]
				}
				SA2[PID.pageid] = new Array();
				for (i = 0; i < PID.pageid2 ;i++ ) {
					//Prosto peredvigaem elementi is SA v SA2
					SA2[PID.pageid][i] = SAflvl[PID.pageid][i];
				}
				SA2[PID.pageid+1] = new Array();
				SA2[PID.pageid+1][0] = SAflvl[PID.pageid][PID.pageid2]
				for (i=1; i< (SAflvl[PID.pageid].length - PID.pageid2) ; i++ ) {
					SA2[PID.pageid+1][i] = SAflvl[PID.pageid][i+PID.pageid2]
				}
				for (i = PID.pageid+1; i < structlen ; i++) {
					SA2[i+1] = new Array();
					SA2[i+1] = SAflvl[i];
				}
				var changes = new getObj('sb_changes');
				changes.value='1';
				SAflvl = CreateSiteStructList(SA2, ss.value);
				if (CheckStructLen(SAflvl)) {
					SetStatusMessage(okmessage, 'MB_OK');
				}
				return SA2;
			}
			SetStatusMessage(faultmessage, 'MB_STOP');
		}
	} else {
		SetStatusMessage(nsmessage, 'MB_STOP');
	}
		return SAflvl;
}

function LevelDown(SAflvl, okmessage, faultmessage, nsmessage, selonemsg) {
	sp_setViewMode();
	ss = getObj('site_struct');
	var success='ns';
	if (ss.selectedIndex >= 0) {
		var selnum = 0;
		for (kkk = 0; kkk < ss.length; kkk++) {
			if (ss[kkk].selected==true) {
				selnum++;
			}
		}
		if (selnum > 1) {
			SetStatusMessage(selonemsg, 'MB_STOP');
		} else {
			success=false;
			var PID = new Object();
			PID.pageid = -1;
			PID.pageid2 = -1;
			GetSelectedPageLocation(PID,SAflvl)
			if (PID.pageid > 0) {
				// We can't move top element
				if (PID.pageid2 == 0) {
					//We can move only 1nd level element
					SA2 = new Array();
					structlen = SAflvl.length;
					for (i = 0; i < PID.pageid ;i++ ) {
						//Prosto peredvigaem elementi is SA v SA2
						SA2[i] = new Array();
						SA2[i] = SAflvl[i];
					}
					j=SAflvl[PID.pageid-1].length;
					for (i = 0; i < SAflvl[PID.pageid].length ;i++ ) {
						SA2[PID.pageid-1][i+j] = SAflvl[PID.pageid][i];
					}
					j=SA2[PID.pageid-1].length;

					for (i = PID.pageid+1; i < structlen ; i++) {
						if (SAflvl[i]) {
							SA2[i-1] = SAflvl[i];
						}
					}
					var changes = new getObj('sb_changes');
					changes.value='1';
					SAflvl = CreateSiteStructList(SA2, ss.value);
					if (CheckStructLen(SAflvl, 'yes')) {
						SetStatusMessage(okmessage, 'MB_OK');
					}
					return SA2;
				} else {
					SetStatusMessage(faultmessage, 'MB_STOP');
				}
			} else {
				SetStatusMessage(faultmessage, 'MB_STOP');
			}
		}
	} else {
		SetStatusMessage(nsmessage, 'MB_STOP');
	}
	return SAflvl;
}

function GetSelectedPageLocation(PID, SAflvl) {
	if (ss.selectedIndex >= 0) {
		filename = ss[ss.selectedIndex].value;
		if (filename) {
			pagetitle = "";
			pagetype = 'html';
			for (i=0; i < SAflvl.length ; i++ ) {
				if (SAflvl[i] && SAflvl[i][0] && SAflvl[i][0][0] && SAflvl[i][0] != "") {
					if (SAflvl[i][0][0] == filename) {
						PID.pageid = i;
						PID.pageid2=0;
						break;
					}
					j = 1
					while (j < SAflvl[i].length) {
						if (SAflvl[i][j]) {
							if (SAflvl[i][j][0] == filename) {
								PID.pageid = i;
								PID.pageid2=j;
								break;
							}
						}
						j++;
					}
				}
			}
		}
	}
}

function AddNewPage(id, type, title, pageid, pageid2, okmessage, faultmessage) {
	if (title == "") {
		alert(faultmessage);
	} else {
		if (id == -1) {
			date = new Date();
			filename = 'page_'+date.getTime()+'.html';
			indextoadd = SA.length;
			SA[indextoadd] = new Array();
			SA[indextoadd][0] = new Array(filename, title, type);
			SAflvl = CreateSiteStructList(SA);
			changes = getObj('sb_changes');
			changes.value = '1';
		} else {
			SA[pageid][pageid2] = new Array(id, title, type);
			SAflvl = CreateSiteStructList(SA, id);
			changes = getObj('sb_changes');
			changes.value = '1';
		}

		// hide input box:
		sp_setViewMode();

		// check struct:
		if (CheckStructLen(SA, 'yes')) {
			SetStatusMessage(okmessage, 'MB_OK');
		}
		return SA;
	}
}



//
// show|hide dialog input new page
//
function showINP( visibleDialog ) {
	var el=document.getElementById(inputNewPageBoxID);
	var caption=document.getElementById(inputNewPageCaption);
	if(null!=el) {
		el.style.visibility=visibleDialog?'visible':'hidden';
		el.style.display=visibleDialog?'block':'none';
		var fo = document.forms[0];
		if(fo) {
			var ib = fo.elements[inputPageTitle];
			var spt = fo.elements[selectPageType];
			var sb = fo.elements[selectBoxName];
			var sbp = fo.elements[selectBoxPredifinedName];
			if( ib && spt && sb && sbp) {
				if(sp_mode==PAGE_ADD_MODE) {
					spt.disabled=false;
				}
				else spt.disabled=true;
				ib.disabled=!visibleDialog;
				if(visibleDialog) {
					sb.disabled = true;
					sbp.disabled = true;
					if(null!=caption) {
						if(sp_mode==PAGE_ADD_MODE) {
							caption.innerHTML = PAGE_ADD_MODE_TITLE + ':';
						} else {
							caption.innerHTML = PAGE_EDIT_MODE_TITLE;
						}
					}
					ib.select();
					ib.focus();
				} else {
					sb.disabled = false;
					sbp.disabled = false;

					el=document.getElementById("SB_Style_AddPage_button");
					if(null!=el) {
						el.style.backgroundColor="#ffffff";
					}

					el=document.getElementById("SB_Style_EditPage_button");
					if(null!=el) {
						el.style.backgroundColor="#ffffff";
					}
					sp_mode = PAGE_VIEW_MODE;
				}
			}
		}
	}
}

function sp_setAddMode() {
	sp_mode = PAGE_ADD_MODE;
	document.forms[0].elements[inputPageTitle].value = NEW_PAGE_TITLE;
	showINP(1);
}

function sp_setViewMode() {
	sp_mode = PAGE_VIEW_MODE;
	document.forms[0].elements[inputPageTitle].value = '';
	showINP(0);
}

function sp_savePageTitle() {
	var title = document.forms[0].elements[inputPageTitle].value;
	var spt = document.forms[0].elements[selectPageType];
	var type = spt.options[spt.selectedIndex].value;
//	alert('Input title: ' + title + ', type:' + type);
	if(!checkSymbol(title)) {
		if( sp_mode == PAGE_ADD_MODE ) { 
			// Add page:
			AddNewPage( -1, type , title, cPageID, cPageID2, WIZ_STEP_PAGES_PAGENEWPAGEADDED, WIZ_STEP_PAGES_INVALID_TITLE );		} else { // Update page:
			AddNewPage( cFileName, type , title, cPageID, cPageID2, WIZ_STEP_PAGES_PAGEEDITED, WIZ_STEP_PAGES_INVALID_TITLE );
		}
	} else {
		alert(WIZ_STEP_PAGES_INVALID_TITLE);
	}
}

function doInit(ev) {
	if(ev.keyCode==13) {
		sp_savePageTitle();

		if (document.all) {
			ev.cancelBubble = true;
			ev.returnValue = false;
		} else {
			window.captureEvents(ev.KEYDOWN);
			window.captureEvents(ev.MOUSEDOWN);
			ev.preventDefault();
			ev.stopPropagation();
		}
	} else {
		return false;
	}

}
