<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
        <TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" align="center" style="background: url('images/main_bg.gif');"><TR><TD>
        <TABLE WIDTH="738" HEIGHT="100%"  id="hi_TD" CELLPADDING="0" CELLSPACING="0" BORDER="0" align="center">
        	<TR>
        		<TD colspan="2" width="738" height="210" valign="top">	
        			<table cellpadding="0" cellspacing="0" width="100%" height="100%">
        				<tr>
        		<!-- LOGO -->					
        					<td width="100%" align="center">
        						<img src="images/{LOGO/@NAME}"/><br />
        						<span class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span><br />
        						<span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span>
        					</td>
        		<!-- END LOGO -->		
        		<!-- HEADER -->			
        					<td width="191"><xsl:call-template name="TOP"/></td>
        				</tr>
        			</table>
        		<!-- END HEADER -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="738" height="146" valign="top">
        		<!-- MENU -->
        			<table cellpadding="0" cellspacing="0" width="738">
        				<tr><td width="100%"><img src="images/menu_tbg.gif" width="100%" height="21"/></td></tr>
        				<tr>
        					<td height="103" width="100%" bgcolor="white">

	    	        		
	    	        		<!--CALL TOP-MENU -->
							<xsl:call-template name="TOP-MENU"/>

        					</td>
        				</tr>
        				<tr><td width="100%"><img src="images/menu_bbg.gif" width="100%" height="22"/></td></tr>
        			</table>
        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="512" height="100%" align="right">
        		<!-- CONTENT -->		
        			<table cellpadding="0" cellspacing="0" width="415" style="margin-right: 23px;" align="right">
        				<tr><td height="28"></td></tr>
        				<tr><td class="text-header" align="right"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>				
        				<tr><td height="10"></td></tr>
        				<tr><td class="text" width="415" align="right">

	        				<xsl:apply-templates select="PAGE-CONTENT"/>

        				</td></tr>
        				<tr><td height="10"></td></tr>
        			</table>	
        		<!-- END CONTENT -->
        		</TD>
        		<TD valign="top" width="226">
        			<table cellpadding="0" cellspacing="0" width="100%">
        				<tr><td height="14"></td></tr>
        			<!-- SUBMENU -->
        				<tr>
        					<td bgcolor="#FF1006">

                				<!-- CALL SUB-MENU-->
                				<xsl:call-template name="SUB-MENU">
                					<xsl:with-param name="pageID" select="@ID"/>
                				</xsl:call-template>

        					</td>
        				</tr>
        			<!-- END SUBMENU -->
        			<!-- FOOTER -->		
        				<tr>
        					<td style="background: url('images/submenu_bbg.gif') no-repeat;" height="86" class="footer" valign="top" align="center">
        						<div style="width:1px; height:20px;"><spacer type="block" width="1" height="20"/></div>
								<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        					</td>
        				</tr>
        			<!-- END FOOTER -->
        			</table>
        		</TD>
        	</TR>
        </TABLE>
        </TD></TR></TABLE>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-MENU-->

   				
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" align="center">
   			<tr>
   				<td width="40"></td>
					<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>
  
  					

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
  				<table cellpadding="0" cellspacing="0" border="0" align="center">
  					<tr><td height="30"></td></tr>
						<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
  					<tr><td height="30"></td></tr>
  				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
  				<table cellpadding="0" cellspacing="0" border="0" align="center">
  					<tr><td height="30"></td></tr>
					   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
  					<tr><td height="30"></td></tr>
  				</table>
			</xsl:when>
		<xsl:otherwise>
  				<table cellpadding="0" cellspacing="0" border="0" align="center">
  					<tr><td height="160">&#160;</td></tr>
  				</table>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>



	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
