// htmlArea v3.0 - Copyright (c) 2002-2004 interactivetools.com, inc.
// This copyright notice MUST stay intact for use (see license.txt).
//
// Portions (c) dynarch.com, 2003-2004
//
// A free WYSIWYG editor replacement for <textarea> fields.
// For full source code and docs, visit http://www.interactivetools.com/
//
// Version 3.0 developed by Mihai Bazon.
//   http://dynarch.com/mishoo
//
// Portions (c) Copyright 2004,2005 SWsoft, Inc. http://www.swsoft.com
//

function TableOperations(editor) {
	this.editor = editor;

	var cfg = editor.config;
	var bl = TableOperations.btnList;
	var self = this;

	var toolbar = ["linebreaknone"];
	for (var i in bl) {
		var btn = bl[i];
		if (!btn) {
		} else {
			var id = "TO-" + btn[0];
			cfg.registerButton(id, fMessage(id), "wysiwyg/plugins/TableOperations/img/" + btn[0] + ".gif", false, false, true,
					   function(editor, id) {
						   self.buttonPress(editor, id);
					   }, btn[1]);
			toolbar.push(id);
		}
	}
	toolbar.push("sb_100");
	toolbar.push("linebreak");
	try{
	for(g=0;g<masMod.length;g++){
		cfg.registerButton(masMod[g].id, masMod[g].caption, m_path+masMod[g].id+"/" + masMod[g].id + "_tool.gif", false, false, true, function(e) {e.fModules(this.name);},"mod_"+masMod[g].id);
		toolbar.push(masMod[g].id);
	}
	if(masMod.length>0) {
		toolbar.push("space");
		toolbar.push("space");
		var idm = "delmodules";
		cfg.registerButton(idm, fMessage("delmodules"), "wysiwyg/images/del_modules.gif", false, false, true, function(e) {e.fDellModules();}, "mod");
		toolbar.push(idm);
		toolbar.push("separator");
	}
	}catch(e){
	}
	toolbar.push("sb_100");
	cfg.toolbar.push(toolbar);
};


TableOperations.prototype.getClosest = function(tagName) {
	var editor = this.editor;
	var ancestors = editor.getAllAncestors();
	var ret = null;
	tagName = ("" + tagName).toLowerCase();
	for (var i in ancestors) {
		var el = ancestors[i];
		if (el.tagName.toLowerCase() == tagName) {
			ret = el;
			break;
		}
	}
	return ret;
};

function splitRow1(td) {
	editor._undoTakeSnapshot();
	var n = parseInt("" + td.rowSpan);
	var nc = parseInt("" + td.colSpan);
	td.rowSpan = 1;
	tr = td.parentNode;
	var itr = tr.rowIndex;
	var trs = tr.parentNode.rows;
	var index = td.cellIndex;
	while (--n > 0) {
		tr = trs[++itr];
		var otd = editor._doc.createElement("td");
		otd.colSpan = td.colSpan;
		otd.innerHTML = "&#160;"
		tr.insertBefore(otd, tr.cells[index]);
	}
	editor._undoTakeSnapshot();
	editor.forceRedraw();
	editor.updateToolbar();
};

function splitCol1(td) {
	editor._undoTakeSnapshot();
	var nc = parseInt("" + td.colSpan);
	td.colSpan = 1;
	tr = td.parentNode;
	var ref = td.nextSibling;
	while (--nc > 0) {
		var otd = editor._doc.createElement("td");
		otd.rowSpan = td.rowSpan;
		otd.innerHTML = "&#160;"
		tr.insertBefore(otd, ref);
	}
	editor._undoTakeSnapshot();
	editor.forceRedraw();
	editor.updateToolbar();
};
function splitCell1(td) {
	var nc = parseInt("" + td.colSpan);
	splitCol1(td);
	var items = td.parentNode.cells;
	var index = td.cellIndex;
	while (nc-- > 0) {
		splitRow1(items[index++]);
	}	
};

TableOperations.prototype.buttonPress = function(editor, button_id) {
	this.editor = editor;
	var mozbr = HTMLArea.is_gecko ? "<br />" : "";
	function clearRow(tr) {
		var tds = tr.getElementsByTagName("td");
		for (var i = tds.length; --i >= 0;) {
			var td = tds[i];
			td.rowSpan = 1;
			td.innerHTML = "&#160;"
		}
	};

	function splitRow(td) {
		var n = parseInt("" + td.rowSpan);
		var nc = parseInt("" + td.colSpan);
		td.rowSpan = 1;
		tr = td.parentNode;
		var itr = tr.rowIndex;
		var trs = tr.parentNode.rows;
		var index = td.cellIndex;
		while (--n > 0) {
			tr = trs[++itr];
			var otd = editor._doc.createElement("td");
			otd.colSpan = td.colSpan;
			otd.innerHTML = "&#160;"
			tr.insertBefore(otd, tr.cells[index]);
		}
		editor.forceRedraw();
		editor.updateToolbar();
	};

	function splitCol(td) {
		editor._undoTakeSnapshot();
		var nc = parseInt("" + td.colSpan);
		td.colSpan = 1;
		tr = td.parentNode;
		var ref = td.nextSibling;
		while (--nc > 0) {
			var otd = editor._doc.createElement("td");
			otd.rowSpan = td.rowSpan;
			otd.innerHTML = "&#160;"
			tr.insertBefore(otd, ref);
		}
		editor._undoTakeSnapshot();
		editor.forceRedraw();
		editor.updateToolbar();
	};

	function splitCell(td) {
		var nc = parseInt("" + td.colSpan);
		splitCol(td);
		var items = td.parentNode.cells;
		var index = td.cellIndex;
		while (nc-- > 0) {
			splitRow(items[index++]);
		}
	};

	function selectNextNode(el) {
		var node = el.nextSibling;
		while (node && node.nodeType != 1) {
			node = node.nextSibling;
		}
		if (!node) {
			node = el.previousSibling;
			while (node && node.nodeType != 1) {
				node = node.previousSibling;
			}
		}
		if (!node) {
			node = el.parentNode;
		}
		editor.selectNodeContents(node);
	};

	switch (button_id) {
	    case "TO-row-insert-above":
	    case "TO-row-insert-under":
			var tr = this.getClosest("tr");
			if (!tr) {
				break;
			}
			var otr = tr.cloneNode(true);
			clearRow(otr);
			tr.parentNode.insertBefore(otr, /under/.test(button_id) ? tr.nextSibling : tr);
			editor.forceRedraw();
			editor.focusEditor();
			editor.updateToolbar();
			break;
	    case "TO-row-delete":
			var tr = this.getClosest("tr");
			if (!tr) {
				break;
			}
			var par = tr.parentNode;
			if (par.rows.length == 1) {
				alert(fMessage("notdellastrow"));
				break;
			}

			selectNextNode(tr);
			par.removeChild(tr);
			editor.forceRedraw();
			editor.focusEditor();
			editor.updateToolbar();
			break;
	    case "TO-row-split":
			var td = this.getClosest("td");
			if (!td) {
				break;
			}
			splitRow(td);
			editor.focusEditor();
			editor.updateToolbar();
			break;
	    case "TO-col-insert-before":
	    case "TO-col-insert-after":
			editor._undoTakeSnapshot();
			var td = this.getClosest("td");
			if (!td) {
				break;
			}
			var rows = td.parentNode.parentNode.rows;
			var index = td.cellIndex;
			for (var i = rows.length; --i >= 0;) {
				var tr = rows[i];
				var ref = tr.cells[index + (/after/.test(button_id) ? 1 : 0)];
				var otd = editor._doc.createElement("td");
				otd.innerHTML = "&#160;"
				if(/after/.test(button_id) && (index+1)==tr.cells.length){
					if(HTMLArea.is_ie){
						try{
							tr.insertCell(index+1);
						}catch(e){
						}
					}else{
						try{
							tr.insertBefore(otd, ref);
						}catch(e){
						}
					}
				}else{
					try{
					tr.insertBefore(otd, ref);
					}catch(e){
					}
				}
			}
			editor._undoTakeSnapshot();
			editor.focusEditor();
			editor.updateToolbar();
			break;
	    case "TO-col-split":
			var td = this.getClosest("td");
			if (!td) {
				break;
			}
			splitCol(td);
			editor.focusEditor();
			editor.updateToolbar();
			break;
			case "TO-col-delete":
				editor._undoTakeSnapshot();
			var td = this.getClosest("td");
			if (!td) {
				break;
			}
			var index = td.cellIndex;
			if (td.parentNode.cells.length == 1) {
				alert(fMessage("notdellastcol"));
				break;
			}
			// set the caret first to a position that doesn't disappear
			selectNextNode(td);
			var rows = td.parentNode.parentNode.rows;
			for (var i =0; i< rows.length; i++) {
				var tr = rows[i];
				try{
					tr.removeChild(tr.cells[index]);
				}catch(e){
				}
			}
			editor._undoTakeSnapshot();
			editor.forceRedraw();
			editor.focusEditor();
			editor.updateToolbar();
			break;
	    case "TO-cell-split":
			editor._undoTakeSnapshot();
			var td = this.getClosest("td");
			if (!td) {
				break;
			}
			if(parseInt(td.colSpan)==1){
				var tr = td.parentNode;
				var temptr=tr.parentNode;
				if(temptr.tagName.toLowerCase()=="table"){
					var table=temptr;
				}else{
					var table=temptr.parentNode;
				}
					
				var cell_index = td.cellIndex;
				var cell_all = tr.cells.length;
				var row_index = tr.rowIndex;
				var row_all = table.rows.length;
				var otd = editor._doc.createElement("td");
				otd.innerHTML = "&#160;"
				tr.insertBefore(otd, td);
				for(var i=0;i<row_all;i++){
					if(i!=row_index){
						try{
						table.rows[i].cells[cell_index].colSpan=2;
						}catch(e){
						}
					}
				}
			}else{
				splitCell(td);
			}
			editor._undoTakeSnapshot();
			editor.focusEditor();
			editor.updateToolbar();
			break;
	    case "TO-cell-insert-before":
	    case "TO-cell-insert-after":
			editor._undoTakeSnapshot();
			var td = this.getClosest("td");
			if (!td) {
				break;
			}
			var tr = td.parentNode;
			var otd = editor._doc.createElement("td");
			otd.innerHTML = "&#160;"
			tr.insertBefore(otd, /after/.test(button_id) ? td.nextSibling : td);
			editor._undoTakeSnapshot();
			editor.forceRedraw();
			editor.focusEditor();
			break;
			case "TO-cell-delete":
				editor._undoTakeSnapshot();
			var td = this.getClosest("td");
			if (!td) {
				break;
			}
			if (td.parentNode.cells.length == 1) {
				alert(fMessage("notdellastcell"));
				break;
			}
			// set the caret first to a position that doesn't disappear
			selectNextNode(td);
			td.parentNode.removeChild(td);
			editor._undoTakeSnapshot();
			editor.forceRedraw();
			editor.focusEditor();
			editor.updateToolbar();
			break;
	    case "TO-cell-merge":
			editor._undoTakeSnapshot();
		var sel = editor._getSelection();
		var range, i = 0;
		var rows = [];
		var row = null;
		var cells = null;
		var tda=new Array();
		if (!HTMLArea.is_ie) {
			try {
				var i1=0;
				while (range = sel.getRangeAt(i++)) {
					var td = range.startContainer.childNodes[range.startOffset];
					var td = range.startContainer.childNodes[range.startOffset];
							if (td.parentNode != row) {
								row = td.parentNode;
								(cells) && rows.push(cells);
								cells = [];
							}
					tda[i1]=new tds(td);
					i1++;
					
				}
			} catch(e) {/* finished walking through selection */}
			var ro=true;
			var se=true;
			var ros=false;
			var ses=false;
			if(tda.length<2) {
				alert(fMessage("select_more_than_one_cell"));
				break;
			}
			var r=tda[0].ri;
			var c=tda[0].ci;
			var ris=true;
			var sis=true;
			for(var j=0;j<tda.length;j++){
				if(parseInt(tda[j].td.colSpan)!=parseInt(tda[0].td.colSpan)) sis=false;
				if(parseInt(tda[j].td.rowSpan)!=parseInt(tda[0].td.rowSpan)) ris=false;
				if(parseInt(tda[j].td.colSpan)>1) ses=true;
				if(parseInt(tda[j].td.rowSpan)>1) ros=true;
				if(r!=tda[j].ri) ro=false;
				if(c!=tda[j].ci) se=false;
			}
			
			var tr1 = tda[0].td.parentNode;
				var temptr1=tr1.parentNode;
				if(temptr1.tagName.toLowerCase()=="table"){
					var table1=temptr1;
				}else{
					var table1=temptr1.parentNode;
				}
			var cell_all1 = tr1.cells.length;
			if((ro==true && se!=true && ros!=true && ses==true) || (ro==true && se!=true && ris==true)){
				//alert("row");
				var new_len1=fLenCells(table1,tr1,tda[0].ci,tda[0].ri,tda.length,'right');
				
				cell_all1 = tr1.cells.length;
				tr1.cells[tda[0].ci].colSpan=new_len1;
				fDelCellNow(cell_all1,new_len1-1,table1,tda[0].ri,tda[0].ci);
				moi=true;
			}else if((ro!=true && se==true && ros==true && ses!=true) || (ro!=true && se==true && sis==true)){
				//alert("column");
				var new_len1=fLenCells(table1,tr1,tda[0].ci,tda[0].ri,tda.length,'bottom');
				
				tr1.cells[tda[0].ci].rowSpan=new_len1;
				fDelRowNow(new_len1-1,table1,tda[0].ri,tda[0].ci);
				moi=true;
			}else{
				var sel = editor._getSelection();
				var range, i = 0;
				var rows = [];
				var row = null;
				var cells = null;
					try {
						while (range = sel.getRangeAt(i++)) {
							var td = range.startContainer.childNodes[range.startOffset];
							if (td.parentNode != row) {
								row = td.parentNode;
								(cells) && rows.push(cells);
								cells = [];
							}
							cells.push(td);
						}
					} catch(e) {/* finished walking through selection */}
					rows.push(cells);

			}
		} else {
			// Internet Explorer "browser"
			
			var obj=new Object;
			obj.imga=editor.config.editorURL+"/wysiwyg/images/arrow.gif";
			obj.sn='true';
			var ansestors=editor.getAllAncestors();
			obj.el=ansestors[0];
			obj.lang=Lang;
			obj.sp2=sp2Detect();
			var objC = new Object();
			objC.count_cols="";
			objC.pos_cols="";
			
			var td = this.getClosest("td");
			if (!td) {
				alert(fMessage("pleaseclick"));
				break;
			}
			obj.top=true;
			obj.bottom=true;
			obj.left=true;
			obj.right=true;
			var tr1 = td.parentElement;
				var temptr1=tr1.parentElement;
				if(temptr1.tagName.toLowerCase()=="table"){
					var table1=temptr1;
				}else{
					var table1=temptr1.parentElement;
				}
				var no_rows1;
				var no_cols1;
				var ci1;
				var cell_index1 = td.cellIndex;
				var cell_all1 = tr1.cells.length;
				var row_index1 = tr1.rowIndex;
				var row_all1 = table1.rows.length;
				if(row_index1==0) obj.top=false;
				if(row_index1==(row_all1-1)) obj.bottom=false;
				if(cell_index1==0) obj.left=false;
				if(cell_index1==(cell_all1-1)) obj.right=false;
	
			editor._popupDialog("table_merg.html",function(param){
				if (!param) {	// user must have pressed Cancel
					return false;
				}
				if(param["sn"]=='true'){
					for (field in param) {
						var value = param[field];
						if (!value) {
							continue;
						}
						switch (field) {
							case "f_count"    : 
								objC.count_cols=parseInt(value);
								isNaN(objC.count_cols) && (objC.count_cols = "");
								break;
							case "f_pos"    : 
								objC.pos_cols=value;
								break;
						}
					}
				}
			}, obj);
			
			if(objC.count_cols==""){
				break;
			}
				var tr = td.parentElement;
				var temptr=tr.parentElement;
				if(temptr.tagName.toLowerCase()=="table"){
					var table=temptr;
				}else{
					var table=temptr.parentElement;
				}
				var no_rows;
				var no_cols;
				var ci;
				var cell_index = td.cellIndex;
				var cell_all = tr.cells.length;
				var row_index = tr.rowIndex;
				var row_all = table.rows.length;
				if(objC.count_cols>1){
					switch (objC.pos_cols) {
						case "top" :
								if((row_index+1)>objC.count_cols || (row_index+1)==objC.count_cols){
									var verif=verRows(table,row_index-objC.count_cols+1,row_index,cell_index);
									if(verif){
									var sti=fLenCells(table,tr,cell_index,row_index,objC.count_cols,'top');
									var new_len=sti.col;
									if(new_len>1) {
										fMergeTextRow(table,sti.y2,cell_index,new_len);
										table.rows[sti.y2].cells[cell_index].rowSpan=new_len;
										fDelRowNow(new_len-1,table,sti.y2,cell_index);
										objC.count_cols=new_len;
									}else{
										fMergeTextRow(table,row_index-objC.count_cols+1,cell_index,objC.count_cols);
										table.rows[row_index-objC.count_cols+1].cells[cell_index].rowSpan=objC.count_cols;
										fDelRowNow(objC.count_cols-1,table,row_index-objC.count_cols+1,cell_index);
									}
									}else{
										alert(fMessage("notallowedoperation"));
									}
									
								}else{
									var verif=verRows(table,0,row_index,cell_index);
									if(verif){
									var sti=fLenCells(table,tr,cell_index,row_index,objC.count_cols,'top');
									var new_len=sti.col;
									if(new_len>1) {
										fMergeTextRow(table,0,cell_index,new_len);
										table.rows[0].cells[cell_index].rowSpan=new_len;
										objC.count_cols=new_len;
										fDelRowNow(new_len-1,table,0,cell_index);
									}else{
										fMergeTextRow(table,0,cell_index,row_index+1);
										table.rows[0].cells[cell_index].rowSpan=row_index+1;
										fDelRowNow(row_index,table,0,cell_index);
									}
									}else{
										alert(fMessage("notallowedoperation"));
									}
									
								}
							break;
						case "bottom" :
							if((row_all-row_index)>objC.count_cols || (row_all-row_index)==objC.count_cols){
									var verif=verRows(table,row_index,row_index+objC.count_cols-1,cell_index);
									if(verif){
									var new_len=fLenCells(table,tr,cell_index,row_index,objC.count_cols,'bottom');
									if(new_len>1) objC.count_cols=new_len;
									fMergeTextRow(table,row_index,cell_index,objC.count_cols);
									tr.cells[cell_index].rowSpan=objC.count_cols;
									
									fDelRowNow(objC.count_cols-1,table,row_index,cell_index);
									}else{
										alert(fMessage("notallowedoperation"));
									}
								}else{
									var verif=verRows(table,row_index,row_all-1,cell_index);
									if(verif){
									var new_len=fLenCells(table,tr,cell_index,row_index,objC.count_cols,'bottom');
									if(new_len>1) objC.count_cols=new_len;
									fMergeTextRow(table,row_index,cell_index,row_all-row_index);
									tr.cells[cell_index].rowSpan=row_all-row_index;
									fDelRowNow(row_all-row_index-1,table,row_index,cell_index);
									}else{
										alert(fMessage("notallowedoperation"));
									}
								}
							break;
						case "left" :
								cell_index=cell_index-objC.count_cols+1;
						case "right" :
								if(cell_all-(cell_index+1)>objC.count_cols || cell_all-(cell_index+1)==objC.count_cols){
									var verif=verColumns(tr,cell_index,cell_index+objC.count_cols-1);
									if(verif){
									var new_len=fLenCells(table,tr,cell_index,row_index,objC.count_cols,'right');
									if(new_len>1) objC.count_cols=new_len;
									cell_all = tr.cells.length;
									fMergeTextCol(tr,cell_index,objC.count_cols);
									tr.cells[cell_index].colSpan=objC.count_cols;
									fDelCellNow(cell_all,objC.count_cols-1,table,row_index,cell_index);
									}else{
										alert(fMessage("notallowedoperation"));
									}
								}else{
									var verif=verColumns(tr,cell_index,cell_all-1);
									if(verif){
									var new_len=fLenCells(table,tr,cell_index,row_index,objC.count_cols,'right');
									if(new_len>1) objC.count_cols=new_len;
									cell_all = tr.cells.length;
									fMergeTextCol(tr,cell_index,cell_all-cell_index);
									tr.cells[cell_index].colSpan=cell_all-(cell_index);
									fDelCellNow(cell_all,cell_all-cell_index-1,table,row_index,cell_index);
									}else{
										alert(fMessage("notallowedoperation"));
									}
								}
							break;
					}
				}
				/*
									while (no_rows-- > 0) {
										td = tr.cells[ci];
										cells = [td];
										for (var i = 1; i < no_cols; ++i) {
											td = td.nextSibling;
											if (!td) {
												break;
											}
											cells.push(td);
										}
										rows.push(cells);
										tr = tr.nextSibling;
										if (!tr) {
											break;
										}
									}
				*/
		}
		if(!document.all){
		if(moi){
		}else{
		var HTML = "";
		for (i = 0; i < rows.length; ++i) {
			var cells = rows[i];
			for (var j = 0; j < cells.length; ++j) {
				var cell = cells[j];
				HTML += cell.innerHTML;
				(i || j) && (cell.parentNode.removeChild(cell));
			}
		}
		var td = rows[0][0];
		td.innerHTML = HTML;
		td.rowSpan = rows.length;
		td.colSpan = rows[0].length;
		editor.selectNodeContents(td);
		}
		moi=false;
		}
		try{
		editor.selectNodeContents(tda[0].td);
		}catch(e){
		}
		editor._undoTakeSnapshot();
		editor.forceRedraw();
		editor.focusEditor();
		editor.updateToolbar();
		break;

		// PROPERTIES

	    case "TO-table-prop":
		this.dialogTableProperties();
		break;

	    case "TO-row-prop":
		this.dialogRowCellProperties(false);
		break;

	    case "TO-cell-prop":
		this.dialogRowCellProperties(true);
		break;

	    default:
		alert(fMessage("button1") + button_id + fMessage("nei"));
	}
};
var moi=false;
function tds(td){
	this.ri=td.parentNode.rowIndex;
	this.ci=td.cellIndex;
	this.td=td;
}

function verRows(tb,row_i,row_e,cell){
var pr=true;
for(var y=row_i;y<(row_e+1);y++){
	try{
	if(parseInt(tb.rows[row_i].cells[cell].colSpan)!=parseInt(tb.rows[y].cells[cell].colSpan)) pr=false;
	}catch(e){
	}
}
return pr;
}

function verColumns(tr,cell_i,cell_e){
var pr=true;
for(var y=cell_i;y<(cell_e+1);y++){
	try{
	if(parseInt(tr.cells[cell_i].rowSpan)!=tr.cells[y].rowSpan) pr=false;
	}catch(e){
	}
}
return pr;
}

var tagsel=null;
function fLenCells(tb,tr,cell_i,row_i,count,kuda){
	var len=0;
	switch (kuda) {
		case "top" :
			var t=0;
				for(var q=0; q<cell_i;q++){
					try{
					if(parseInt(tb.rows[row_i-1].cells[q].rowSpan)>1) {
						t++;
					}
					}catch(e){
					}
				}
			if(t>0) {
				//cell_i=cell_i+t;
			}
			
			var setri=new Object;
			var y;
			var y1;
			
			if((row_i+1)>count){
				y=(row_i+1)-count;
			}else{
				y=0;
				count=row_i+1;
			}
			var y2=y;
			if(y>0){
			for(var t=row_i;t>(y2-1);t--){
				if(parseInt(tb.rows[t].cells[cell_i].rowSpan)>1){
					count=parseInt(count)+parseInt(tb.rows[t].cells[cell_i].rowSpan)-1;
					if((row_i+1)>count){
						y=(row_i+1)-count;
					}else{
						y=0;
						count=row_i+1;
					}
					y2=y;

				}
			}
			}
			if(y>0){
				for(var i=y2;i>(-1);i--){
					if(parseInt(tb.rows[i].cells[cell_i].rowSpan)>1){
						if((i+parseInt(tb.rows[i].cells[cell_i].rowSpan))>y2){
							count=parseInt(count)+parseInt(tb.rows[t].cells[cell_i].rowSpan)-1;
							if((row_i+1)>count){
								y=(row_i+1)-count;
							}else{
								y=0;
								count=row_i+1;
							}
							y2=y;
						}
					}
				}
			}
			y1=row_i+1;
			var col=0;
			//for(var i=y;i<(y1);i++){
			//	if(parseInt(tb.rows[i].cells[cell_i].rowSpan)<2){
			//		col++;
			//	}else{
			//		col=col+parseInt(tb.rows[i].cells[cell_i].rowSpan);
			//	}
				
			//}
			for(var i=y;i<(y1);i++){
				if(parseInt(tb.rows[i].cells[cell_i].rowSpan)<2){
				}else{
					tagsel=tb.rows[i].cells[cell_i];
					splitCell1(tagsel);
					i=i+parseInt(tb.rows[i].cells[cell_i].rowSpan);
					y1=y1+parseInt(tb.rows[i].cells[cell_i].rowSpan);
					tagsel=null;
				}
			}
			setri.col=count;
			setri.y2=y2;
			len=setri;
			break;
		case "bottom" :
			var t=0;
			
				for(var q=0; q<cell_i;q++){
					try{
					if(parseInt(tb.rows[row_i].cells[q].rowSpan)>1) {
						t++;
					}
					}catch(e){
					}
				}
			
			if(t>0) {
				//cell_i=cell_i-t;
			}
		var y;
		var col=0;
		try{
			if((tb.rows.length-row_i-1)>count || (tb.rows.length-row_i-1)==count){
				y=row_i+count;
			}else{
				y=tb.rows.length;
			}
			
			for(var i=row_i;i<(y);i++){
				if(parseInt(tb.rows[i].cells[cell_i].rowSpan)<2){
					col++;
				}else{
					col=col+parseInt(tb.rows[i].cells[cell_i].rowSpan);
				}
			}
			for(var i=row_i;i<(y);i++){
				if(parseInt(tb.rows[i].cells[cell_i].rowSpan)<2){
				}else{
					tagsel=tb.rows[i].cells[cell_i];
					splitCell1(tagsel);
					i=i+parseInt(tb.rows[i].cells[cell_i].rowSpan);
					y=y+parseInt(tb.rows[i].cells[cell_i].rowSpan);
					tagsel=null;
				}
			}
		}catch(e){
		}
			len=col;
			break;
		case "right" :
			var y;
			if((tb.rows[row_i].cells.length-cell_i-1)>count || (tb.rows[row_i].cells.length-cell_i-1)==count){
				y=cell_i+count;
			}else{
				y=tb.rows[row_i].cells.length;
			}
			var col=0;
			for(var i=cell_i;i<(y);i++){
				if(parseInt(tb.rows[row_i].cells[i].colSpan)<2){
					col++;
				}else{
					col=col+parseInt(tb.rows[row_i].cells[i].colSpan);
				}
			}
			for(var i=cell_i;i<(y);i++){
				if(parseInt(tb.rows[row_i].cells[i].colSpan)<2){
				}else{
					tagsel=tb.rows[row_i].cells[i];
					splitCell1(tagsel);
					i=i+parseInt(tb.rows[row_i].cells[i].colSpan);
					y=y+parseInt(tb.rows[row_i].cells[i].colSpan);
					tagsel=null;
				}
			}
			len=col;
			break;
		case "left" :
			var y;
			var y1;
			if((cell_i+1)>count){
				y=(cell_i+1)-count;
			}else{
				y=0;
			}
			y1=cell_i+1;
			var col=0;
			for(var i=y;i<(y1);i++){
				if(parseInt(tb.rows[row_i].cells[i].colSpan)<2){
					col++;
				}else{
					col=col+parseInt(tb.rows[row_i].cells[i].colSpan);
				}
			}
			for(var i=y;i<(y1);i++){
				if(parseInt(tb.rows[row_i].cells[i].colSpan)<2){
				}else{
					tagsel=tb.rows[row_i].cells[i];
					splitCell1(tagsel);
					i=i+parseInt(tb.rows[row_i].cells[i].colSpan);
					y1=y1+parseInt(tb.rows[row_i].cells[i].colSpan);
					tagsel=null;
				}
			}
			len=col;
			break;
	}
	return len;
}


function fMergeTextRow(tbl,row_i,cell_i,col){
	var temp="";
	for(var j=row_i;j<(row_i+col);j++){
		var s=cell_i;
			var t=0;
			if(j>row_i){
				for(var q=0; q<s;q++){
					try{
					if(parseInt(tbl.rows[row_i].cells[q].rowSpan)>1) {
						t++;
					}
					}catch(e){
					}
				}
			}
			if(t>0) {
				s=s-t;
			}
		temp=temp+tbl.rows[j].cells[s].innerHTML;
		tbl.rows[j].cells[s].innerHTML="&#160;";
	}
tbl.rows[row_i].cells[cell_i].innerHTML=temp;
return false;
}

function fMergeTextCol(trt,cell_i,col){
var temp="";
for(var j=cell_i;j<(cell_i+col);j++){
temp=temp+trt.cells[j].innerHTML;
trt.cells[j].innerHTML="&#160;";
}

trt.cells[cell_i].innerHTML=temp;
return false;
}

function fMerge(no_cols,no_rows,cell_index,td,tr){
		
				while (no_rows-- > 0) {
					td = tr.cells[cell_index];
					cells = [td];
					for (var i = 1; i < no_cols; ++i) {
						td = td.nextSibling;
						if (!td) {
							break;
						}
						cells.push(td);
					}
					rows.push(cells);
					tr = tr.nextSibling;
					if (!tr) {
						break;
					}
				}
}

function fDelRowNow(allp,table,tr,sell){
	for(var d=tr+1;d<(tr+allp+1);d++){
		try{
			var s=sell;
			var t=0;
			for(var q=0; q<sell;q++){
				try{
				if(parseInt(table.rows[tr].cells[q].rowSpan)>1) {
					t++;
				}
				}catch(e){
				}
			}
			if(t>0) {
				s=s-t;
			}
			table.rows[d].deleteCell(s);
		}catch(e){
		}
	}
}

function fDelCellNow(all,allp,table,tr,cell_i){
		for(var d=cell_i+allp;d>cell_i;d--){
			table.rows[tr].deleteCell(d);
		}
}

// the list of buttons added by this plugin
TableOperations.btnList = [

	["row-insert-above", "ee"],
	["row-insert-under", "ee"],
	["row-delete",       "ee"],
	["row-split",        "td[rowSpan!=1]"],
	null,

	// COLS
	["col-insert-before", "ee"],
	["col-insert-after",  "ee"],
	["col-delete",        "ee"],
	["col-split",         "td[colSpan!=1]"],
	null,

	// CELLS
	["cell-insert-before", "ee"],
	["cell-insert-after",  "ee"],
	["cell-delete",        "ee"],
	["cell-merge",         "tr"],
	["cell-split",         "ee"]
	];

TableOperations.kolcells = function() {
     var counter=0;

     if(!HTMLArea.is_ie){
        var sel = editor._getSelection();
        var range, i = 0;
       try{
		while (range = sel.getRangeAt(i++)) {
            counter++;
        }
	   }catch(e){
	   }

     }else{
          var str = editor.getSelectedHTML();
          var ob=/<td/gim.test(str);
          var ob1=/<\/td>/gim.test(str);
		  
		  if(ob || ob1)
              counter=90;

     }
	// var el=editor.getAllAncestors();
	 var elt=false;
	 try{
	 if(editor.TagSelected.tagName.toLowerCase()=="td") elt=true;
	 }catch(e){
	 }

	 if(counter>1 || elt==false)
        return false;
     else
        return true;

}


TableOperations.getLength = function(value) {
	var len = parseInt(value);
	if (isNaN(len)) {
		len = "";
	}
	return len;
};




TableOperations.createColorButton = function(doc, editor, color, name) {
	if (!color) {
		color = "";
	} else if (!/#/.test(color)) {
		color = HTMLArea._colorToRgb(color);
	}

	var df = doc.createElement("span");
 	var field = doc.createElement("input");
	field.type = "hidden";
	df.appendChild(field);
 	field.name = "f_st_" + name;
	field.id = "f_st_" + name;
	field.value = color;
	var button = doc.createElement("span");
	button.className = "buttonColor";
	df.appendChild(button);
	var span = doc.createElement("span");
	span.className = "chooser";
	span.style.backgroundColor = color;
	button.appendChild(span);
	button.onmouseover = function() { if (!this.disabled) { this.className += " buttonColor-hilite"; }};
	button.onmouseout = function() { if (!this.disabled) { this.className = "buttonColor"; }};
	span.onclick = function() {
		if (this.parentNode.disabled) {
			return false;
		}
		var obj = new Object;
		obj.color = color;
		obj.str = fMessage("default");
		editor._popupDialog("select_color.html", function(color) {
			if (color) {
				if(color=="default"){
					span.style.backgroundColor = "";
					field.value = "";
				}else{
					span.style.backgroundColor = "#" + color;
					field.value = "#" + color;
				}
			}
		}, obj);
	};
	var span2 = doc.createElement("span");
	span2.innerHTML = "&#x00d7;";
	span2.className = "nocolor";
	span2.title = fMessage("unsetcolor");
	button.appendChild(span2);
	span2.onmouseover = function() { if (!this.parentNode.disabled) { this.className += " nocolor-hilite"; }};
	span2.onmouseout = function() { if (!this.parentNode.disabled) { this.className = "nocolor"; }};
	span2.onclick = function() {
		span.style.backgroundColor = "";
		field.value = "";
	};
	return df;
};