<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<!--
  since: jul, 2004
version: $Id: page.xsl,v 1.22 2005/09/09 09:33:47 rgrigorov Exp $
 author: Ilnar Salachiev

required hints:
	@pageName - file name of html-page (exmpl: 'page1.html')
-->
<xsl:output method="xml" standalone="no" indent="yes"/>
<xsl:strip-space elements="*"/>
<xsl:param name="pageName" select="'index.html'"/>
<!-- 

0 - build LAYOUT
1 - build LAYOUT for edit on WYSIWYG-Editor
2 - build LAYOUT for preview

-->
<xsl:param name="compileMode" select="0"/>
<!--
//////
-->
<xsl:template match="SITE-CONFIGURATION">
	<xsl:apply-templates  select="//PAGE[ @ID = $pageName ]">
		<xsl:with-param name="siteTitle" select="@SITE-TITLE"/>
		<xsl:with-param name="companyInfo" select="COMPANY-INFO"/>
		<xsl:with-param name="meta-tags" select="./META-TAGS"/>
		<xsl:with-param name="logo" select="./LOGO"/>
		<xsl:with-param name="banner" select="./BANNER"/>
		<xsl:with-param name="description" select="./DESCRIPTION"/>
		<xsl:with-param name="copyright" select="./COPYRIGHT"/>
	</xsl:apply-templates>
</xsl:template>
<!--
//////
-->
<xsl:template match="PAGE">
	<xsl:param name="siteTitle"/>
	<xsl:param name="companyInfo"/>
	<xsl:param name="meta-tags"/>
	<xsl:param name="logo"/>
	<xsl:param name="banner"/>
	<xsl:param name="description"/>
	<xsl:param name="copyright"/>
	<xsl:param name="template" select="''"/>
	<xsl:param name="colorscheme" select="''"/>
	<LAYOUT
		SITE-TITLE="{$siteTitle}"
		TITLE="{@TITLE}"
		ID="{generate-id(.)}"
		FILENAME="{@ID}"
		CAPTION="{@CAPTION}">
			<xsl:copy-of select="$companyInfo"/>
			<xsl:copy-of select="$meta-tags"/>
			<xsl:copy-of select="$logo"/>
			<xsl:copy-of select="$banner"/>
			<xsl:copy-of select="$description"/>
			<xsl:copy-of select="$copyright"/>
			<xsl:apply-templates select="ancestor::STRUCTURE"/>
			<PAGE-CONTENT TYPE="{@TYPE}" FILENAME="{@ID}.inc"/>
	</LAYOUT>
</xsl:template>
<!--
//////
-->
<xsl:template match="STRUCTURE">
	<MENU IMAGE="{@BUTTON}">
		<xsl:apply-templates select="PAGE" mode="menu"/>
	</MENU>
</xsl:template>
<!--
//////
-->
<xsl:template match="PAGE" mode="menu">
	<MENU-ITEM ID="{generate-id(.)}" TITLE="{@TITLE}" CAPTION="{@CAPTION}">
		<xsl:choose>
		<xsl:when test="$compileMode='1'">
			<xsl:choose><xsl:when test="@TYPE='PHOTO'">
				<xsl:attribute name="HREF">javascript:parent.GotoPhoto('<xsl:value-of select="@ID"/>');</xsl:attribute>
			</xsl:when><xsl:otherwise>
				<xsl:attribute name="HREF">javascript:parent.GotoEdit('<xsl:value-of select="@ID"/>');</xsl:attribute>
			</xsl:otherwise></xsl:choose>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="HREF"><xsl:value-of select="@ID"/></xsl:attribute>
		</xsl:otherwise>
		</xsl:choose>	
		<xsl:apply-templates mode="menu" select="./PAGE"/>
	</MENU-ITEM>
</xsl:template>
<!--
//////
-->
<xsl:template match="*"><!-- no op --></xsl:template>

</xsl:stylesheet>