DROP TABLE sb_logged_users
DROP SEQUENCE SB_LOGGED_USERS_ID_SEQ
CREATE TABLE sb_logged_users (id number(11) NOT NULL, user_id number(4) default NULL NOT NULL ,  sid varchar(100) default NULL NOT NULL , expiretime varchar(50) default NULL NOT NULL)
CREATE SEQUENCE SB_LOGGED_USERS_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_LOGGED_USERS_ID ON SB_LOGGED_USERS("ID")
CREATE OR REPLACE TRIGGER SB_LOGGED_USERS_ID_TRIGGER BEFORE INSERT ON SB_LOGGED_USERS FOR EACH ROW DECLARE BEGIN select SB_LOGGED_USERS_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_ftphosts
DROP SEQUENCE SB_FTPHOSTS_ID_SEQ 
CREATE TABLE sb_ftphosts ( id number(4) NOT NULL, ftp_host varchar(128) default NULL NOT NULL , ftp_host_ip varchar(128) default NULL, ftp_host_type number(4) default 1 NOT NULL, ftp_host_ip_sec varchar(128) default 0 NOT NULL, range number(1) default 0 NOT NULL, "number" number(3) default 1 NOT NULL)
CREATE SEQUENCE SB_FTPHOSTS_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_FTPHOSTS_ID ON SB_FTPHOSTS("ID", "FTP_HOST")
CREATE OR REPLACE TRIGGER SB_FTPHOSTS_ID_TRIGGER BEFORE INSERT ON SB_FTPHOSTS FOR EACH ROW DECLARE BEGIN select SB_FTPHOSTS_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_profiles
DROP SEQUENCE SB_PROFILES_ID_SEQ 
CREATE TABLE sb_profiles ( id number(4) NOT NULL, user_id number(4) default 0 NOT NULL, fname varchar(255) NOT NULL, lname varchar(255) NOT NULL,  address1 varchar(120) default NULL,  address2 varchar(120) default NULL ,  phone varchar(20) default NULL,  email varchar(120) default NULL NOT NULL,  lang varchar(6) default 'en_US' NOT NULL,  city varchar(40) default NULL ,  state varchar(40) default NULL ,  zip varchar(15) default NULL ,  country number(3) default 0 ,  dquote number(7) default 100000 ,  ftp_host_id number(10)  default NULL,  ftp_work_dir varchar(128) default NULL) 
CREATE SEQUENCE SB_PROFILES_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_PROFILES_ID ON SB_PROFILES("ID")
CREATE OR REPLACE TRIGGER SB_PROFILES_ID_TRIGGER BEFORE INSERT ON SB_PROFILES FOR EACH ROW DECLARE BEGIN select SB_PROFILES_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_users
DROP SEQUENCE SB_USERS_ID_SEQ 
CREATE TABLE sb_users ( id number(4) NOT NULL, login varchar(255) default NULL NOT NULL , pswd varchar(128) default NULL NOT NULL, role number(2) default 0 NOT NULL, createtime varchar(20), sb_type number(4) default 1 NOT NULL) 
CREATE SEQUENCE SB_USERS_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_USERS_ID ON SB_USERS("ID", "LOGIN")
CREATE OR REPLACE TRIGGER SB_USERS_ID_TRIGGER BEFORE INSERT ON SB_USERS FOR EACH ROW DECLARE BEGIN select SB_USERS_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_events
DROP SEQUENCE SB_EVENTS_ID_SEQ 
CREATE TABLE sb_events (id number(9) NOT NULL, user_id number(4) default 0 NOT NULL, module varchar(20) default NULL NOT NULL, time varchar(20) default NULL NOT NULL, type number(4) default 0 NOT NULL, eventtext varchar(255) default NULL NOT NULL) 
CREATE SEQUENCE SB_EVENTS_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_EVENTS_ID ON SB_EVENTS("ID")
CREATE OR REPLACE TRIGGER SB_EVENTS_ID_TRIGGER BEFORE INSERT ON SB_EVENTS FOR EACH ROW DECLARE BEGIN select SB_EVENTS_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_events_history
DROP SEQUENCE SB_EVENTS_HISTORY_ID_SEQ 
CREATE TABLE sb_events_history (id number(9) default 0 NOT NULL, user_id number(4) default 0 NOT NULL, module varchar(20) default NULL NOT NULL, time varchar(20) default NULL NOT NULL, type number(4) default 0 NOT NULL, eventtext varchar(255) default NULL NOT NULL) 
CREATE SEQUENCE SB_EVENTS_HISTORY_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_EVENTS_HISTORY_ID ON SB_EVENTS_HISTORY("ID")
CREATE OR REPLACE TRIGGER SB_EVENTS_HISTORY_ID_TRIGGER BEFORE INSERT ON SB_EVENTS_HISTORY FOR EACH ROW DECLARE BEGIN select SB_EVENTS_HISTORY_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_msgs
DROP SEQUENCE SB_MSGS_ID_SEQ 
CREATE TABLE sb_msgs (id number(9) NOT NULL, uid_from number(4) default 0 NOT NULL,  uid_to number(4) default 0 NOT NULL,  type number(2) default 0 NOT NULL,  message varchar(255) default NULL NOT NULL,  confirm number(1) default 0 NOT NULL,  createtime varchar(20) default NULL NOT NULL) 
CREATE SEQUENCE SB_MSGS_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_MSGS_ID ON SB_MSGS("ID")
CREATE OR REPLACE TRIGGER SB_MSGS_ID_TRIGGER BEFORE INSERT ON SB_MSGS FOR EACH ROW DECLARE BEGIN select SB_MSGS_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_msgs_history
DROP SEQUENCE SB_MSGS_HISTORY_ID_SEQ
CREATE TABLE sb_msgs_history (id number(9) NOT NULL,  uid_from number(4) default 0 NOT NULL,  uid_to number(4) default 0 NOT NULL,  type number(2) default 0 NOT NULL,  message varchar(255) default NULL NOT NULL,  confirm number(1) default 0 NOT NULL,  createtime varchar(20) default NULL NOT NULL) 
CREATE SEQUENCE SB_MSGS_HISTORY_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_MSGS_HISTORY_ID ON SB_MSGS_HISTORY("ID")
CREATE OR REPLACE TRIGGER SB_MSGS_HISTORY_ID_TRIGGER BEFORE INSERT ON SB_MSGS_HISTORY FOR EACH ROW DECLARE BEGIN select SB_MSGS_HISTORY_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_guestproj
DROP SEQUENCE SB_GUESTPROJ_ID_SEQ 
CREATE TABLE sb_guestproj (id number(11) NOT NULL, dirname varchar(100) default NULL NOT NULL , expire varchar(50) default NULL NOT NULL, site_identety varchar(100) default NULL NOT NULL, is_user number(1) default 0 NOT NULL, perms number(4) default 1 NOT NULL) 
CREATE SEQUENCE SB_GUESTPROJ_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_GUESTPROJ_ID ON SB_GUESTPROJ("ID")
CREATE OR REPLACE TRIGGER SB_GUESTPROJ_ID_TRIGGER BEFORE INSERT ON SB_GUESTPROJ FOR EACH ROW DECLARE BEGIN select SB_GUESTPROJ_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;


DROP TABLE sb_settings
DROP SEQUENCE SB_SETTINGS_ID_SEQ 
CREATE TABLE sb_settings (id number(11) NOT NULL, prop_name varchar(50) default NULL NOT NULL, prop_value clob NOT NULL, parent int(4) unsigned NOT NULL default 1)
CREATE SEQUENCE SB_SETTINGS_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_SETTINGS_ID ON SB_SETTINGS("ID")
CREATE OR REPLACE TRIGGER SB_SETTINGS_ID_TRIGGER BEFORE INSERT ON SB_SETTINGS FOR EACH ROW DECLARE BEGIN select SB_SETTINGS_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_db_version
CREATE TABLE sb_db_version ( value varchar(10) default 1 NOT NULL )

DROP TABLE sb_userdirs
DROP SEQUENCE SB_USERDIRS_ID_SEQ 
CREATE TABLE sb_userdirs ( id number(11) NOT NULL, user_id number(4) NOT NULL , dirname VARCHAR( 255 ) NOT NULL)
CREATE SEQUENCE SB_USERDIRS_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_USERDIRS_ID ON SB_USERDIRS("ID")
CREATE OR REPLACE TRIGGER SB_USERDIRS_ID_TRIGGER BEFORE INSERT ON SB_USERDIRS FOR EACH ROW DECLARE BEGIN select SB_USERDIRS_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_templates
DROP SEQUENCE SB_TEMPLATES_ID_SEQ 
CREATE TABLE sb_templates(id number(4) NOT NULL, name varchar(255) default NULL, category varchar(255) default NULL,  state number(1) default NULL, attributes clob, category_id number(3) default -1 NOT NULL)
CREATE SEQUENCE SB_TEMPLATES_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_TEMPLATES_ID ON SB_TEMPLATES("ID")
CREATE OR REPLACE TRIGGER SB_TEMPLATES_ID_TRIGGER BEFORE INSERT ON SB_TEMPLATES FOR EACH ROW DECLARE BEGIN select SB_TEMPLATES_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_site_profile
DROP SEQUENCE SB_SITE_PROFILE_ID_SEQ 
CREATE TABLE sb_site_profile ( id number(11) NOT NULL, id_parent varchar(100) default NULL NOT NULL, param varchar(50) default NULL, value varchar(255) default NULL)
CREATE SEQUENCE SB_SITE_PROFILE_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_SITE_PROFILE_ID ON SB_SITE_PROFILE("ID")
CREATE OR REPLACE TRIGGER SB_SITE_PROFILE_ID_TRIGGER BEFORE INSERT ON SB_SITE_PROFILE FOR EACH ROW DECLARE BEGIN select SB_SITE_PROFILE_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;


DROP TABLE sb_modules
DROP SEQUENCE SB_MODULES_ID_SEQ 
CREATE TABLE sb_modules ( id number(4) NOT NULL, module_id varchar(30) default NULL NOT NULL, module_type varchar(30) default NULL NOT NULL, label varchar(255) default NULL NOT NULL, caption varchar(255) NOT NULL, version varchar(15) default NULL NOT NULL, parent varchar(30) default NULL NOT NULL, state number(1) default 1 NOT NULL, edit number(1) default 0, modules_api_version varchar(15) default NULL NOT NULL)
CREATE SEQUENCE SB_MODULES_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_MODULES_ID ON SB_MODULES("ID")
CREATE OR REPLACE TRIGGER SB_MODULES_ID_TRIGGER BEFORE INSERT ON SB_MODULES FOR EACH ROW DECLARE BEGIN select SB_MODULES_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;


DROP TABLE sb_plan
DROP SEQUENCE SB_PLAN_ID_SEQ 
CREATE TABLE sb_plan (id_plan number(11) NOT NULL, active number(1) default 0 NOT NULL, name varchar(255) default NULL NOT NULL, bknumber number(2) default 0 NOT NULL, pubnumber number(2) default 0 NOT NULL, pagenumber number(2) default 0 NOT NULL, dquote number(7) default 0 NOT NULL, is_guest number(1) default 0 NOT NULL, descr varchar(128) default NULL)
CREATE SEQUENCE SB_PLAN_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_PLAN_ID ON SB_PLAN("ID_PLAN")
CREATE OR REPLACE TRIGGER SB_PLAN_ID_TRIGGER BEFORE INSERT ON SB_PLAN FOR EACH ROW DECLARE BEGIN select SB_PLAN_ID_SEQ.NEXTVAL INTO :NEW.ID_PLAN FROM DUAL; END;

DROP TABLE sb_plan_prop
DROP SEQUENCE SB_PLAN_PROP_ID_SEQ 
CREATE TABLE sb_plan_prop (id number(11) NOT NULL, id_tab1 number(11) default 0 NOT NULL, id_tab2 number(11) default 0 NOT NULL, id_rec1 number(11) default 0 NOT NULL, id_rec2 number(11) default 0 NOT NULL, userpart number(1) default 0 NOT NULL)
CREATE SEQUENCE SB_PLAN_PROP_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_PLAN_PROP_ID ON SB_PLAN_PROP("ID")
CREATE OR REPLACE TRIGGER SB_PLAN_PROP_ID_TRIGGER BEFORE INSERT ON SB_PLAN_PROP FOR EACH ROW DECLARE BEGIN select SB_PLAN_PROP_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_resellers
DROP SEQUENCE SB_RESELLERS_ID_SEQ 
CREATE TABLE sb_resellers(id number(4)  NOT NULL,ip char(15) default NULL NOT NULL,email varchar(128) default NULL NOT NULL,name varchar(60) default NULL NOT NULL,logo varchar(255) default NULL NOT NULL,skin varchar(15) default NULL NOT NULL, language varchar(5) default 'en_US' NOT NULL, slimit number(4) default NULL NOT NULL)
CREATE SEQUENCE SB_RESELLERS_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_RESELLERS_ID ON SB_RESELLERS("ID")
CREATE OR REPLACE TRIGGER SB_RESELLERS_ID_TRIGGER BEFORE INSERT ON SB_RESELLERS FOR EACH ROW DECLARE BEGIN select SB_RESELLERS_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;

DROP TABLE sb_resellers_sites
DROP SEQUENCE SB_RESELLERS_SITES_ID_SEQ 
CREATE TABLE sb_resellers_sites(id number(4)  NOT NULL,id_reseller number(4)  NOT NULL,id_site number(4)  NOT NULL)
CREATE SEQUENCE SB_RESELLERS_SITES_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_RESELLERS_SITES_ID ON SB_RESELLERS_SITES("ID")
CREATE OR REPLACE TRIGGER SB_RESELLERS_SITES_ID_TRIGGER BEFORE INSERT ON SB_RESELLERS_SITES FOR EACH ROW DECLARE BEGIN select SB_RESELLERS_SITES_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;




DROP TABLE sb_categories
DROP SEQUENCE SB_CATEGORIES_ID_SEQ 
CREATE TABLE sb_categories ( id number(3) NOT NULL, name varchar(40) default NULL NOT NULL)
CREATE SEQUENCE SB_CATEGORIES_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_CATEGORIES_ID ON SB_CATEGORIES("ID")
CREATE OR REPLACE TRIGGER SB_CATEGORIES_ID_TRIGGER BEFORE INSERT ON SB_CATEGORIES FOR EACH ROW DECLARE BEGIN select SB_CATEGORIES_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;


DROP TABLE sb_backup_settings
DROP SEQUENCE SB_SETTINGS_ID_SEQ 
CREATE TABLE sb_backup_settings (id number(11) NOT NULL, prop_name varchar(50) default NULL NOT NULL,  prop_value clob NOT NULL) 
CREATE SEQUENCE SB_SETTINGS_ID_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER
CREATE UNIQUE INDEX SB_SETTINGS_ID ON SB_SETTINGS("ID")
CREATE OR REPLACE TRIGGER SB_SETTINGS_ID_TRIGGER BEFORE INSERT ON SB_SETTINGS FOR EACH ROW DECLARE BEGIN select SB_SETTINGS_ID_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL; END;
