<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="tabpanel.xsl" />
	<xsl:include href="module_wysiwyg.xsl" />
	<xsl:template name="HEAD-EDIT">
		<script type="text/javascript" language="javascript" >
			<xsl:text>setBaseUrl('</xsl:text><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/><xsl:text>');</xsl:text>
		</script>
		<xsl:choose>
			<xsl:when test="/*/CONTENT-AREA[@PAGEID='module']">
				<xsl:call-template name="HEAD-EDIT-MODULE" />
			</xsl:when>
			<xsl:when test="$SB_modules !=''">
				<xsl:call-template name="MODULES-HEAD-EDIT"/>
			</xsl:when>
			<xsl:when test="/*/CONTENT-AREA/DEV='MSIE' or /*/CONTENT-AREA/DEV='Gecko'">
				<link rel="stylesheet" type="text/css" href="{$baseURL}/wysiwyg/htmlarea.css" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>

<xsl:template name="FIRST-TAG-EDIT">
	<xsl:choose>
		<xsl:when test="$SB_modules !=''">
			<xsl:call-template name="MODULES-FIRST-TAG-EDIT"/>
		</xsl:when>
		<xsl:otherwise>
			<table id="SB_TEST_TABLE" border="0">
				<tr>
					<td style="height:10px;width:10px;">
						<div style='height:100%;width:100%;border:0;background-color:#eeeeee;overflow:auto;visibility:hidden;' id="SB_TEST_DIV">
							<font id="SB_TEST_FONT">-ertreWWWW^8*,?WW:XSL:EO***@#HhTtYyUy)SDRetfr====sfdsdfsdfs(*</font>
						</div>
					</td>
				</tr>
			</table>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="BODY-EDIT">
	<xsl:if test="/*/CONTENT-AREA/DEV = 'none'">
		<script type='text/javascript' language='javascript' src='{$baseURL}/js/alternativeedit.js'></script>
	</xsl:if>
	<script type='text/javascript' language='javascript' src='{$baseURL}/js/edit.js'></script>
	<xsl:choose>
		<xsl:when test="$SB_modules !=''">
			<xsl:call-template name="MODULES-BODY-EDIT"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="/*/CONTENT-AREA/DEV='Gecko' or /*/CONTENT-AREA/DEV='MSIE'">
				<META http-equiv="Content-Type" content="text/html; charset=utf-8"/>
				<script type='text/javascript' language="javascript">
					var mvLang; mvLang='<xsl:value-of select="/*/CONTENT-AREA/LANGW"/>';
				</script>
				<script type='text/javascript' language="javascript">
					<xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/localize/<xsl:value-of select="/*/CONTENT-AREA/LANGW"/>/localize.js</xsl:attribute>
				</script>
				<script type='text/javascript' language="javascript" src='{$baseURL}/wysiwyg/htmlarea.js'></script>
				<script type='text/javascript' language="javascript" src='{$baseURL}/wysiwyg/htmlarea_proto.js'></script>
			<!--				<script type='text/javascript' language="javascript" src='{$baseURL}/wysiwyg/htmlarea_toolbar.js'></script> -->
				<xsl:choose>
					<xsl:when test="$browser='MSIE'">
						<script type='text/javascript' language="javascript" src='{$baseURL}/wysiwyg/htmlarea_proto_ie.js'></script>
					</xsl:when>
					<xsl:otherwise>
						<script type='text/javascript' language="javascript" src='{$baseURL}/wysiwyg/htmlarea_proto_other.js'></script>
					</xsl:otherwise>
				</xsl:choose>
				<script type='text/javascript' language="javascript" src='{$baseURL}/wysiwyg/htmlarea_toolbar.js'></script>
				<script type='text/javascript' language="javascript" src='{$baseURL}/wysiwyg/htmlarea_execcommand.js'></script>
				<script type='text/javascript' language="javascript" src='{$baseURL}/wysiwyg/dialog.js'></script>
				<script type='text/javascript' language="javascript" src='{$baseURL}/wysiwyg/popupwin.js'></script>
				<script type='text/javascript' language="javascript" src='{$baseURL}/wysiwyg/plugins/TableOperations/table-operations.js'></script>
				<script type="text/javascript" language="javascript" src="{$baseURL}/wysiwyg/WBEditor.js"></script>
			</xsl:if>
			<form name="edit" method="post">
				<xsl:attribute name="action"><xsl:value-of select="$baseURL"/>/wizard/index.php</xsl:attribute>
				<input type="hidden" name="show_preview" value=""/>
				<input type="hidden" name="mode" id="mode" value="edit"/>
				<input type="hidden" id="sb_changes" name="sb_changes">
					<xsl:attribute name="value"><xsl:value-of select="//SB_CHANGES"/></xsl:attribute>
				</input>
				<input type="hidden" id="sb_changes_wizard" name="sb_changes_wizard">
					<xsl:attribute name="value"><xsl:value-of select="//SB_CHANGES_WIZARD"/></xsl:attribute>
				</input>
				<input type="hidden" id="sb_wizard" name="sb_wizard" value="true"/>
				<input type="hidden" id="m_color" name="m_color" value=""/>
				<input type="hidden" name="pgpageid" id="pgpageid" value=""/>
				<input type="hidden" name="modules_id" id="modules_id" value=""/>
				<input type="hidden" id="sb_file" name="sb_file" value=""/>
				<input type="hidden" name="m_pageid" id="m_pageid">
					<xsl:attribute name='value'><xsl:value-of select="/*/CONTENT-AREA/EDIT_PAGE_NAME"/></xsl:attribute>
				</input>
				<input type="hidden" id="sb_file1" name="sb_file1">
					<xsl:attribute name='value'><xsl:value-of select="/*/CONTENT-AREA/EDIT_PAGE_NAME"/></xsl:attribute>
				</input>
				<input type="hidden" id="sb_modify_file_type" name="sb_modify_file_type" value="false"/>
				<input type="hidden" id="sb_file_content" name="sb_file_content" value=""/>
				<input type="hidden" id="sb_edit_save" name="sb_edit_save" value="1"/>
				<input type="hidden" name="pgpage" id="pgpage" value=""/>
				<input type="hidden" name="sb_pageid" id="sb_pageid" value="edit"/>
				<input type="hidden" name="topic" id="topic" value=""/>
				<input type="hidden" name="sb_ses" id="sb_ses"  value=""/>
				<input type="hidden" name="sb_ur" id="sb_ur" value="true" />
				<xsl:apply-templates select="GUI-CONTROL[@MODE='HIDDEN']"/>

				<input type="hidden" name="fullscreen" id="fullscreen" value="false"/>
			</form>
			<table border="0" align="left" cellpadding="0" cellspacing="0" height="100%" width="100%">
				<tr>
					<td bgcolor="white" valign="top" height="100%">
						<iframe id='IFR_0' name='IFR_0' src="{$baseURL}/blank.html" frameBorder='0' scrolling='auto' allowtransparency='true' style='border-width:0;overflow:auto;display:none;margin:0px;padding:0px;' onload="javascript: resizeWysiwigIframe();"></iframe>
							<table width="100%" height="100%" align="left" cellspacing="0" cellpadding="0" border="0">
								<tr>
									<td height="100%" style="align:left;text-align:left;" valign="top" id="HERE">
										<table width="100%" cellspacing="0" cellpadding="0" border="0">
											<tr>
												<td id="sb_save_button" name="sb_save_button" align="right"></td>
											</tr>
											<tr>
												<td align="left" valign="middle">
													<textarea id="sb_ta_content" name="sb_ta_content" onkeyup="javascript:document.forms[0].sb_changes.value='1';">
													<!--
														<xsl:choose>
															<xsl:when test="$browser = 'OPERA'">
															<xsl:attribute name="style">border: 1px solid #bababa; font: 8pt tahoma,verdana; background-color:INFOBACKGROUND;</xsl:attribute>
															<xsl:attribute name="rows">32</xsl:attribute>
															<xsl:attribute name="cols">150</xsl:attribute>
															</xsl:when>
															<xsl:otherwise>
															-->
																	<xsl:attribute name="style">width:100%; border: 1px solid #bababa; font: 8pt tahoma,verdana; background-color:INFOBACKGROUND;</xsl:attribute>
																	<xsl:attribute name="rows">32</xsl:attribute>
																	<xsl:attribute name="cols">150</xsl:attribute>
													<!--
															</xsl:otherwise>
														</xsl:choose>
														-->
													</textarea>
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>

				<xsl:apply-templates select="/*/CONTENT-AREA/REPSA" mode="css"/>

				<script type="text/javascript" language="javascript">
					<!--<xsl:comment>-->
					var mas = new Array();
					var masMod = new Array();
					var masMod1 = new Array();
					var massa = new Array();
					var masia = new Array();
					var masid = new Array();
					var mastitle = new Array();
					var mastag = new Array();
					var i=0;
					var m = null;
					var m_path = '<xsl:value-of select="/*/CONTENT-AREA/MOD-URI"/>';

					<xsl:apply-templates select="/*/CONTENT-AREA/MODULES"/>
					<xsl:apply-templates select="/*/CONTENT-AREA/MODULES1"/>
					<xsl:apply-templates select="/*/CONTENT-AREA/REP"/>
					<xsl:apply-templates select="/*/CONTENT-AREA/MASTAG"/>
					<xsl:apply-templates select="/*/CONTENT-AREA/REPSA"/>
					<xsl:apply-templates select="/*/CONTENT-AREA/REPIA"/>
					<xsl:apply-templates select="/*/CONTENT-AREA/PSID"/>
					<xsl:apply-templates select="/*/CONTENT-AREA/PSTITLE"/>

					try{
						m=fGetNewHtmlEditor();
					}catch(e){
					}

					doWysiwygBild('<xsl:value-of select="/*/CONTENT-AREA/DEV"/>',mas,i,'<xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>','<xsl:apply-templates select="/*/CONTENT-AREA/CONTW"/>','<xsl:apply-templates select="/*/CONTENT-AREA/CONTA"/>','<xsl:value-of select="/*/CONTENT-AREA/SAVESB"/>',m,massa,masia,'<xsl:value-of select="/*/CONTENT-AREA/CONTAW"/>',masid,mastitle,'<xsl:value-of select="/*/CONTENT-AREA/AC"/>','<xsl:value-of select="/*/CONTENT-AREA/FS"/>','<xsl:value-of select="/*/CONTENT-AREA/FSSB"/>','<xsl:value-of select="/*/CONTENT-AREA/FST"/>','<xsl:value-of select="/*/CONTENT-AREA/NST"/>',masMod,'<xsl:value-of select="/*/CONTENT-AREA/MOD-URI"/>','<xsl:value-of select="/*/CONTENT-AREA/PAGE-TYPE"/>', mastag, '<xsl:apply-templates select="/*/CONTENT-AREA/TEMPLATE_ID"/>','<xsl:apply-templates select="/*/CONTENT-AREA/SAVE_BT"/>');
					<!-- //</xsl:comment>-->
				</script>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


<xsl:template match="/*/CONTENT-AREA/MODULES">
	var masMod<xsl:value-of select="@ID"/> = new Object();
	masMod<xsl:value-of select="@ID"/>.id = '<xsl:value-of select="@ID"/>';
	masMod<xsl:value-of select="@ID"/>.caption = '<xsl:value-of select="@CAPTION"/>';
	masMod[<xsl:value-of select="@KEY"/>] = masMod<xsl:value-of select="@ID"/>;
</xsl:template>

<xsl:template match="/*/CONTENT-AREA/MODULES1">
	var masMod1<xsl:value-of select="@ID"/> = new Object();
	masMod1<xsl:value-of select="@ID"/>.id = '<xsl:value-of select="@ID"/>';
	masMod1<xsl:value-of select="@ID"/>.caption = '<xsl:value-of select="@CAPTION"/>';
	masMod1[<xsl:value-of select="@KEY"/>] = masMod1<xsl:value-of select="@ID"/>;
</xsl:template>

<xsl:template match="/*/CONTENT-AREA/REP">
	mas[<xsl:value-of select="@ID"/>] = '<xsl:value-of select="@NAME"/>';
	i=<xsl:value-of select="@ID"/>;
</xsl:template>

<xsl:template match="/*/CONTENT-AREA/MASTAG">
	mastag[<xsl:value-of select="@ID"/>] = '<xsl:value-of select="@NAME"/>';
</xsl:template>

<xsl:template match="/*/CONTENT-AREA/REPSA">
	massa[<xsl:value-of select="@ID"/>] = '<xsl:value-of select="@NAME"/>';
	i=<xsl:value-of select="@ID"/>;
</xsl:template>

<xsl:template match="/*/CONTENT-AREA/REPSA" mode="css">
	<style type="text/css">@import url(<xsl:value-of select="$baseURL"/>
		<xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/><xsl:value-of select="@NAME"/>);
	</style>
</xsl:template>


<xsl:template match="/*/CONTENT-AREA/REPIA">
	masia[<xsl:value-of select="@ID"/>] = '<xsl:value-of select="@NAME"/>';
	i=<xsl:value-of select="@ID"/>;
</xsl:template>

<xsl:template match="/*/CONTENT-AREA/PSID">
	masid[<xsl:value-of select="@ID"/>] = '<xsl:value-of select="@NAME"/>';
	i=<xsl:value-of select="@ID"/>;
</xsl:template>

<xsl:template match="/*/CONTENT-AREA/PSTITLE">
	mastitle[<xsl:value-of select="@ID"/>] = '<xsl:value-of select="@NAME"/>';
	i=<xsl:value-of select="@ID"/>;
</xsl:template>


</xsl:stylesheet>
