<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template name="MODULES-HEAD-EDIT">
		<script type='text/javascript' language='javascript' src='{$baseURL}/js/module_wysiwyg_old.js'></script>
		<script type='text/javascript' language='javascript' src='{$baseURL}/modules/{$SB_modules}/js/{$SB_modules}.js'></script>
		<style type="text/css">@import url(<xsl:value-of select="$baseURL" />/skins/<xsl:value-of select="$sb_skin" />/module_wysiwyg.css);</style>
		<style type="text/css">@import url(<xsl:value-of select="$baseURL" />/modules/<xsl:value-of select="$SB_modules" />/style/<xsl:value-of select="$SB_modules" />.css);</style>
	</xsl:template>
	<xsl:template name="MODULES-FIRST-TAG-EDIT"></xsl:template>
	<xsl:template name="MODULES-BODY-EDIT">
		<xsl:apply-templates select="//Module" />
	</xsl:template>
	<xsl:template match="Module">
		<xsl:apply-templates mode="module" />
	</xsl:template>
	<xsl:template match="Edit[@type='block' or @type='page']" mode="module">
		<table cellpadding="0" cellspacing="10" width="100%">
			<tr>
				<td>
					<xsl:apply-templates select="GUI-TABPANEL" />
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="Edit[@type='external']" mode="module">
		<script type='text/javascript' language='javascript' src='{$baseURL}/js/module_wysiwyg_old.js'></script>
		<script type='text/javascript' language='javascript' src='{$baseURL}/modules/{$SB_modules}/js/{$SB_modules}.js'></script>
		<style type="text/css">@import url(<xsl:value-of select="$baseURL" />/skins/<xsl:value-of select="$sb_skin" />/module_wysiwyg.css);</style>
		<style type="text/css">@import url(<xsl:value-of select="$baseURL" />/modules/<xsl:value-of select="$SB_modules" />/style/<xsl:value-of select="$SB_modules" />.css);</style>
		<xsl:apply-templates select="GUI-FORM" />
	</xsl:template>
	<xsl:template match="Apply[@type='block' or @type='page']" mode="module">
		<xsl:apply-templates select="GUI-FORM" />
	</xsl:template>
		<xsl:template match="ModulePreview">
			<link rel="stylesheet" type="text/css">
			<xsl:attribute name="href"><xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>css/styles.css</xsl:attribute>	
		</link>
		<div id="divPreview" name="divPreview" />
	</xsl:template>
	<xsl:template match="PreviewStart" mode="module">
		<script type="text/javascript" language="javascript">
			<xsl:text>doPreviewModuleBuild('</xsl:text>
			<xsl:apply-templates select="CONTA" />
			<xsl:text>','</xsl:text>
			<xsl:apply-templates select="//CONTV" />
			<xsl:text>', __base__URL+'</xsl:text>
			<xsl:apply-templates select="$baseURL" />
			<xsl:text>');</xsl:text>
		</script>
	</xsl:template>
	<xsl:template match="Java" mode="module">
		<script language="javascript">
			<xsl:value-of select="." />
		</script>
	</xsl:template>
</xsl:stylesheet>