<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="GUI-TABPANEL">
	<table border="0" width="100%" cellpadding="0">
		<tr><td>
			<table border="0" width="100%" cellspacing="10" cellpadding="0">
			<xsl:if test="GUI-TABPANEL-CAPTION">
			<xsl:apply-templates select="GUI-TABPANEL-CAPTION"/>
			</xsl:if>
			<tr>
				<td><table cellspacing='1' cellpadding='0' width="100%" class="SB_Style_Tab_main" border='0'>
					<tr>
						<td class="SB_Style_Tab_background"><table width="100%" cellspacing='0' cellpadding='0' border='0'>
							<!-- ////////////////// BEGIN TABPANEL CARDS  //////////////////////////////////////-->
							<tr>
								<td class="SB_Style_Tab_background">
								<xsl:choose>
									<xsl:when test="count(GUI-TABPANEL-CARD)>1">
										<xsl:attribute name="style">padding-top: 5px;</xsl:attribute>
										<xsl:call-template name="GUI-TABPANEL-WITH-CARD"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="GUI-TABPANEL-WITHOUT-CARD"/>
									</xsl:otherwise>
								</xsl:choose>
								<table border="0" cellspacing='0' cellpadding='0' height="100%" width="100%">
								<tr>
									<td align="center" class="SB_Style_Tab_content"><xsl:apply-templates select="GUI-TABPANEL-CONTENT"/></td>
								</tr>
								</table></td>
							</tr>
							<!-- ////////////////// END TABPANEL CARD CONTENT //////////////////////-->
							</table></td>
					</tr>
					</table></td>
			</tr>
			<tr>
				<td>
					<table cellspacing="0" cellpadding="0" border="0" width="100%" style="margin-top:10px;">
						<tr>
							<td width="50%" class="SB_Style_formtitle" nowrap="nowrap">
							<xsl:apply-templates select="GUI-TABPANEL-DESCRIPTION" />
							</td>
							<td width="50%" class="SB_Style_formtitle" nowrap="nowrap" align="right">
								<xsl:apply-templates select="GUI-BUTTONS-LIST"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			</table>
		</td></tr>
	</table>
</xsl:template>

<xsl:template match="GUI-TABPANEL-DESCRIPTION">
	<span class="SB_Style_AlertText">*&#160;</span><xsl:value-of select="."/>
</xsl:template>

<xsl:template name="GUI-TABPANEL-WITHOUT-CARD">
</xsl:template>

<xsl:template name="GUI-TABPANEL-WITH-CARD">
<table width="100%" cellspacing='0' cellpadding='0' border='0'>
	<tr>
		<td width="10" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_bg_empty.gif);"><div style="width:10px; height:29px;"><spacer type="block" width="1" height="1"/></div></td>
		<td width="1" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_first.gif);"><div style="width:1px; height:29px;"><spacer type="block" width="1" height="1"/></div></td>
		<xsl:apply-templates select="GUI-TABPANEL-CARD"/>
		<td width="{100 - count(GUI-TABPANEL-CARD) * 2}%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_bg_empty.gif);"></td>
	</tr>
</table>
</xsl:template>

<xsl:template match="GUI-TABPANEL-CARD">
	<xsl:choose>
		<xsl:when test="@DISABLED='true'">
			<xsl:call-template name="GUI-TABPANEL-CARD-DISABLED"/>
		</xsl:when>
		<xsl:when test="@SELECTED='true'">
			<xsl:call-template name="GUI-TABPANEL-CARD-SELECTED"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="GUI-TABPANEL-CARD-NORMAL"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="GUI-TABPANEL-CARD-DISABLED">
	<td height="29px" width="1%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_bg_unsel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;">
		<table cellspacing='0' cellpadding='0' border='0' width="100%">
			<tr>
				<td nowrap="nowrap" class="SB_Style_formtitle_disabled" style="allign: center; vertical-allign: midle;"><xsl:value-of select="@CAPTION"/></td>
			</tr>
		</table>
	</td>
    <xsl:choose>
		<xsl:when test="position()=last()">
			<td height="29px" width="7" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_unsel_unsel_last.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="7" height="1" border="0"/></td>
		</xsl:when>
		<xsl:otherwise>
			<td height="29px" width="6" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_unsel_unsel.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="6" height="1" border="0"/></td>
		</xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="GUI-TABPANEL-CARD-SELECTED">
	<td height="29px" width="1%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_bg_sel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;"><table cellspacing='0' cellpadding='0' border='0' width="100%">
	<tr><td nowrap="nowrap" class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="@CAPTION"/></td></tr>
	</table></td>
    <xsl:choose>
    <xsl:when test="position()=last()">
    	<td height="29px" width="7" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_sel_unsel_last.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="7" height="1" border="0"/></td>
    </xsl:when>
    <xsl:otherwise>
	<td height="29px" width="6" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_sel_unsel.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="6" height="1" border="0"/></td>
    </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="GUI-TABPANEL-CARD-NORMAL">
	<td height="29px" width="1%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_bg_unsel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;"><a href="javascript: void(1);" style="cursor: hand; text-decoration: none;" onclick='{@ONCLICK}'><table cellspacing='0' cellpadding='0' border='0' width="100%">
	<tr><td nowrap="nowrap" class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="@CAPTION"/></td></tr>
	</table></a></td>
    <xsl:choose>
    <xsl:when test="position()=last()">
    	<td height="29px" width="7" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_unsel_unsel_last.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="7" height="1" border="0"/></td>
    </xsl:when>
    <xsl:otherwise>
    	<td height="29px" width="6" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_unsel_unsel.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="6" height="1" border="0"/></td>
    </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="GUI-TABPANEL-CONTENT">
<table width="100%" cellspacing="10" border="0" class="SB_Style_Tab_content">
<tr>
	<td><xsl:apply-templates/></td>
</tr>
</table>
</xsl:template>

<xsl:template match="GUI-TABPANEL-CAPTION">
<tr>
	<td style="vertical-allign: top"><table cellspacing='0' cellpadding='0' border='0'>
	<tr>
		<td><img src="{$baseURL}/skins/{$sb_skin}/images/arrow_right_1.gif"/></td>
		<td style="padding-left: 5px;"><b><font class="SB_Style_Tab_Title"><xsl:apply-templates/></font></b></td>
	</tr>
	<tr>
	<td colspan="2" height="5">
		<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1px" height="5" border="0"/>
	</td>
	</tr>
	</table></td>
</tr>
</xsl:template>

</xsl:stylesheet>